==================== 0.5.2 ====================

Sat Oct 07 11:53:37 EDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump the version to 0.5.2.
	  - Bump the .so version
	  - Add the release date stamp.

Sat Oct 07 01:25:06 EDT 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Update the NEWS.

Fri Oct 06 19:07:50 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	  - Remove galago_service_register_status() and
	    galago_service_get_registered_statuses() for this release.

Fri Oct 06 18:55:56 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Fix comparing of presences in
	    _galago_person_default_calc_priority_account(). The least available
	    presence was being chosen.

Tue Sep 26 15:09:20 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Raphaël Slinckx to reference the right type of object for the
	    person-added/removed signals.

Tue Sep 26 14:16:01 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Ross Burton to make us match only on the D-BUS signals we
	    care about, so that we wake up less often.

Tue Jul 25 17:39:01 BST 2006  Iain Holmes <iain@openedhand.com>

	* libgalago/galago-status.h:
	  - Added a Pending type.

Tue Aug 29 12:47:33 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Ross Burton to set _core to NULL when it has been destroyed.

Tue Jul 11 19:29:01 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	* NEWS:
	  - Fixed some invalid return values from galago_presence_compare() when
	    one of the parameters was NULL or when one account was idle and
	    the other was not.

Mon Jun 12 19:59:22 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Update the NEWS a bit.

Mon Jun 12 19:56:47 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-service.c:
	  - Added galago_account_get_avatar_async().

Mon Jun 12 19:54:14 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	  - Fix a segfault when an idle start time of 0 is passed to
	    galago_presence_set_idle_time(). Thanks to kkubasik for finding this.
	    This closes bug #64.

Mon Jun 12 02:05:46 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* tests/check-libgalago.c:
	  - Added galago_account_get_presence_async().

Mon Jun 12 01:51:43 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	  - Documentation fixes.

Mon Jun 12 01:48:44 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-service.h:
	* tests/check-libgalago.c:
	  - Implemented galago_get_service_async().

Mon Jun 12 01:34:56 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - Combine a couple loops.

Mon Jun 12 01:33:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/test-bug-36.c:
	  - Indicate that the test was successful if it didn't crash after
	    uninitializing.

Mon Jun 12 01:29:58 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	  - Calls should now return registered call handles, and they should be
	    cancellable. This is not yet tested.

Mon Jun 12 00:25:24 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/galago-service.sgml:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* tests/check-libgalago.c:
	  - Added a GalagoServiceAccountCb function typedef.
	  - Extend galago_service_get_account_async() to take a GFreeFunc and
	    change its GCallback parameter to a GalagoServiceAccountCb.

Sun Jun 11 22:15:48 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-service.c:
	* tests/check-libgalago.c:
	  - Add working asynchronous account retrieval! Most of the code is now
	    in place to implement the other async functions. It just needs to
	    return proper call IDs and allow cancelling a request.

Sun Jun 11 20:05:29 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Push and pop the context inside the D-BUS message sending utility
	    functions, and remove the calls to push/pop that wrap calls to the
	    D-BUS functions in the other files. Saves a few lines..

Sun Jun 11 19:36:02 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - Added some test cases for synchronous and asynchronous calls.

Sun Jun 11 18:16:36 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/libgalago-sections.txt:
	* docs/reference/tmpl/galago-service.sgml:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-object.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added the beginning of the async functionality:
	    - Put in a stubbed out galago_service_get_account_async() and
	      galago_dbus_send_message_with_reply_async().
	    - Modified galago_dbus_send_message_with_reply_list_vargs() to
		  handle sending messages and receiving replies both synchronously
	      and asynchronously.

Mon May 22 01:26:17 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Add some basic implementations of galago_service_register_status()
	    and galago_service_get_registered_statuses().

==================== 0.5.1 ====================

Sun May 21 14:42:53 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump the version to 0.5.1.

Sun May 21 14:33:24 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	A docs/reference/protocol.sgml:
	* docs/reference/libgalago-docs.sgml:
	* docs/reference/Makefile.am:
	* NEWS:
	  - Some more doc goodness.

Sat May 20 20:23:48 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	D docs/reference/tmpl/galago-context-base.sgml:
	D docs/reference/tmpl/galago-context-priv.sgml:
	D docs/reference/tmpl/galago-private.sgml:
	* docs/reference/libgalago-sections.txt:
	* docs/reference/tmpl/galago-account.sgml:
	* docs/reference/tmpl/galago-context.sgml:
	* docs/reference/tmpl/galago-core.sgml:
	* docs/reference/tmpl/galago-dbus.sgml:
	* docs/reference/tmpl/galago-image.sgml:
	* docs/reference/tmpl/galago-object.sgml:
	* docs/reference/tmpl/galago-person.sgml:
	* docs/reference/tmpl/galago-presence.sgml:
	* docs/reference/tmpl/galago-service.sgml:
	* docs/reference/tmpl/galago-status.sgml:
	* docs/reference/tmpl/libgalago-unused.sgml:
	  - Get us down to 7 undocumented things (which really are documented...)
	  - Organize the documentation into a couple sections.

Sat May 20 19:56:19 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/libgalago-docs.sgml:
	* docs/reference/libgalago-sections.txt:
	* docs/reference/tmpl/galago-account.sgml:
	* docs/reference/tmpl/galago-assert.sgml:
	* docs/reference/tmpl/galago-context.sgml:
	* docs/reference/tmpl/galago-core.sgml:
	* docs/reference/tmpl/galago-dbus.sgml:
	* docs/reference/tmpl/galago-image.sgml:
	* docs/reference/tmpl/galago-key-value.sgml:
	* docs/reference/tmpl/galago-person.sgml:
	* docs/reference/tmpl/galago-presence.sgml:
	* docs/reference/tmpl/galago-private.sgml:
	* docs/reference/tmpl/galago-service.sgml:
	* docs/reference/tmpl/galago-status.sgml:
	* docs/reference/tmpl/galago-value.sgml:
	* docs/reference/tmpl/libgalago-unused.sgml:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-context-base.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-key-value.c:
	* libgalago/galago-key-value.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Big ol' documentation update. Wowee.

Wed May 17 18:27:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/reference/tmpl/galago-account.sgml:
	* docs/reference/tmpl/galago-object.sgml:
	* docs/reference/tmpl/galago-person.sgml:
	* docs/reference/tmpl/galago-presence.sgml:
	* docs/reference/tmpl/galago-service.sgml:
	* docs/reference/Makefile.am:
	* libgalago/galago-object.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.h:
	  - Add more documentation.

Wed May 17 16:48:19 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	  - Pass distcheck.

Wed May 17 16:43:48 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	D docs/api:
	A docs/reference/tmpl/galago-account.sgml:
	A docs/reference/tmpl/galago-assert.sgml:
	A docs/reference/tmpl/galago-context-base.sgml:
	A docs/reference/tmpl/galago-context-priv.sgml:
	A docs/reference/tmpl/galago-context.sgml:
	A docs/reference/tmpl/galago-core.sgml:
	A docs/reference/tmpl/galago-dbus.sgml:
	A docs/reference/tmpl/galago-image.sgml:
	A docs/reference/tmpl/galago-key-value.sgml:
	A docs/reference/tmpl/galago-object.sgml:
	A docs/reference/tmpl/galago-person.sgml:
	A docs/reference/tmpl/galago-presence.sgml:
	A docs/reference/tmpl/galago-private.sgml:
	A docs/reference/tmpl/galago-service.sgml:
	A docs/reference/tmpl/galago-status.sgml:
	A docs/reference/tmpl/galago-value.sgml:
	A docs/reference/tmpl/libgalago-unused.sgml:
	A docs/reference/Makefile.am:
	A docs/reference/libgalago-docs.sgml:
	A docs/reference/libgalago-overrides.txt:
	A docs/reference/libgalago-sections.txt:
	A docs/reference/libgalago.types:
	A docs/Makefile.am:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-value.h:
	D Doxyfile.in:
	* Makefile.am:
	* acinclude.m4:
	* autogen.sh:
	* configure.ac:
	  - Moved from using Doxygen to using gtk-doc for documentation.

Fri May 05 23:00:56 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Ross Burton to fix a memory leak in connection registration.
	    Two strings were being duplicated that shouldn't have been.

Thu Apr 27 22:08:09 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* AUTHORS:
	  - Credit where due. Add Andreas Kohn to the translator list for German.

Thu Apr 27 22:02:26 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	A po/de.po:
	* configure.ac:
	  - Added a German translation.
	  - Bumped the version to 0.5.0.90.

==================== 0.5.0 ====================

Thu Apr 20 17:45:46 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Fix the test for libcheck so that you can pass configure without
	    requiring libcheck installed.

Thu Apr 20 00:37:12 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Add the release datestamp. Yes, you heard me.

Thu Apr 20 00:35:27 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	* Makefile.am:
	  - Fix up protocol docs.
	  - Rename the docs target to doxygen, since we have a docs directory.

Tue Apr 11 23:43:37 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* NEWS:
	  - Removed galago_set_exit_with_daemon() and
	    galago_get_exit_with_daemon(). This caused deadlocks in some cases.
	    Feeds will need to connect to the GalagoCore's "unregistered" signal
	    and exit themselves.

Tue Apr 11 02:44:44 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	A m4/Makefile.am:
	  - Forgot to add this.

Tue Apr 11 01:37:52 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* setup-gettext:
	  - Don't apply the mkinstalldirs hack for gettext 0.14.x.

Tue Apr 11 01:31:51 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-context.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	  - Move back to galago_object_destroy(). This function now disposes and
	    unrefs. This seems to fix all the reference issues I've had in C and
	    Python. Hopefully this means the problem is now gone. Probably not :)
	  - Made GalagoObject's dispose and finalize a bit smarter. We now
	    remove the object from the context in dispose, and clean up the
	    rest in finalize.

Tue Apr 11 00:20:37 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* NEWS:
	* configure.ac:
	  - Patch by Ross Burton to require glib 2.8, and to call
	    g_param_spec_*() with STATIC flags, which saves a bit of
	    memory.

Mon Apr 10 23:59:30 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-context.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	  - Start sprinkling back some g_object_unref() calls, and add some
	    debugging.

Mon Apr 10 21:30:44 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Jorn Baayen to prevent re-registration if the app is the
	    owner of the Galago D-BUS service.

Mon Apr 10 00:53:03 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	  - Fix a bug where GalagoPerson objects sometimes weren't being
	    cleared from the context. This led to crashes upon re-registration,
	    among other places.

Sun Apr 09 23:07:05 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	A tests/list-attributes.c:
	  - Added a list-attributes tool for listing attributes on a person.

Sun Apr 09 23:03:40 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	  - Add support for listing attributes remotely.

Sun Apr 09 21:24:53 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	  - Last minute, important change. Implement
	    galago_object_get_attributes() for local objects.

Sat Apr 08 19:37:47 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* po/da.po:
	* po/fr.po:
	* po/libgalago.pot:
	* po/pt_BR.po:
	* ChangeLog:
	* Makefile.am:
	* NEWS:
	* configure.ac:
	  - Updated the NEWS with the changes since the last update.
	  - Bump to version 0.5.0.
	  - Fix make distcheck.

Sat Apr 08 14:20:03 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-context-base.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	* tests/check-libgalago.c:
	* tests/get-avatar.c:
	* tests/get-person-attr.c:
	* tests/get-presence.c:
	* tests/list-accounts.c:
	* tests/list-my-accounts.c:
	* tests/list-people.c:
	* tests/list-services.c:
	* tests/monitor.c:
	* tests/person-attr-test.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/test-bug-36.c:
	  - Update copyrights.

Thu Apr 06 01:56:38 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	  - Due to a bug or something in the C# bindings, the priority account
	    calcuation is not working. The default handler is always being called
	    and is the only one ever being called, instead of being called last if
	    nothing else provided a returned account. Now we just unset this and
	    then check if the result is NULL. If so, we specifically call our
	    default handler function.

Wed Apr 05 02:27:49 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Return a GalagoCore * instead of a GalagoObject * in
	    galago_get_core().

Wed Apr 05 02:18:33 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Add ABI padding stuffs to the GalagoCore and GalagoCoreClass structs.
	  - Try to confuse gapi parser less.

Wed Apr 05 02:10:42 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Expose the GalagoCore object. Though Python and C users don't really
	    need this, the Galago# bindings generator wants to see it.

Tue Apr 04 23:04:52 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Rather than using the GalagoCore refcount to determine the init count,
	    keep an actual init count integer. This prevents callers and things
	    such as the python bindings from stealing a reference to the core and
	    screwing up the init count.

Mon Apr 03 21:21:32 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Compiling is good, and beneficial, as it allows other people to use
	    the thing you have written. I know, I know, my idea on compilation
	    is weird, but I swear, I think I can get more users if they can
	    experience more than errors when they run make. (This was my fault,
	    not a problem in Jorn's patch).

Mon Apr 03 21:09:48 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* tests/check-libgalago.c:
	* tests/get-avatar.c:
	* tests/get-person-attr.c:
	* tests/get-presence.c:
	* tests/list-accounts.c:
	* tests/list-my-accounts.c:
	* tests/list-people.c:
	* tests/list-services.c:
	* tests/monitor.c:
	* tests/person-attr-test.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/test-bug-36.c:
	  - Kinda big last-minute API change. Patch by Jorn Baayen to
	    replace the feed boolean on galago_init() with flags. This also
	    allows Galago to be used in a way that doesn't require the daemon
	    to be running. That option can be specified by using the
	    GALAGO_INIT_NO_ACTIVATION flag.

Mon Apr 03 03:05:07 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.c:
	* libgalago/galago-presence.c:
	  - Protect a bit better from crashes when GalagoAccount's and
	    GalagoPresence's destroy functions are called more than once.

Mon Apr 03 01:18:29 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-context.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* tests/Makefile.am:
	A tests/test-bug-36.c:
	  - Added galago_object_destroy, and call it from many places where
	    we currently call g_object_unref. galago_object_destroy is much
	    like gtk_widget_destroy/gtk_object_destroy, in that it runs
	    g_object_run_dispose() on the object. This actually solves many
	    issues.
	  - Added a test case for bug #36.

Mon Apr 03 00:55:06 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	  - Don't disconnect the bus or unref it. It's a shame I have to do
	    this, but for now, it works around bug #36. This needs to be figured
	    out, though, and it's important to find out if this is a D-BUS
	    problem or a Galago problem.

Sun Apr 02 16:39:18 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Free a DBusError that was initted when adding bus matches.

Sun Apr 02 16:36:58 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Remove galago_add_service() and galago_remove_service().

Sun Apr 02 16:28:17 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-service.c:
	  - Fix a newly introduced problem where we were unreffing a NULL
	    DBusMessage.
	  - Be a little more strict in some of our checks.
	  - Condense more code, for great justice.

Sun Apr 02 16:27:31 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - The test case is more likely to break now.

Sun Apr 02 15:55:10 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-object.c:
	* libgalago/galago-service.c:
	  - Fixed a couple more places where a DBusMessage reply could have
	    fallen out of scope without being unreffed.
	  - Condensed some more code for readability purposes.
	  - Fixed a potential issue where we were getting a field in GalagoService
	    back as an int, when we should have used dbus_uint32_t.

Sun Apr 02 15:53:18 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - Added a unit test case for bug #36.

Sun Apr 02 13:59:03 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* autogen.sh:
	* configure.ac:
	  - Include the m4 in configure and when running aclocal.

Sun Apr 02 13:53:26 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* setup-gettext:
	  - Make the MKINSTALLDIRS change on gettext versions > 0.11 as well.

Sun Apr 02 03:21:01 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-context-priv.h:
	  - Change a couple void * parameters to GalagoObject *.

Sun Apr 02 03:19:10 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* tests/check-libgalago.c:
	  - More code condensing and memory leak fixing.

Sun Apr 02 01:58:15 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Fix a memory leak. The replied message in
	    _galago_dbus_core_add_service wasn't being unreffed.
	  - Condense some code.

Fri Mar 31 11:56:33 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Patch by Jorn Baayen to improve re-registration when galago-daemon
	    dies. This properly unregisters when galago-daemon dies and then
	    re-registers when it comes back up, without leaking any memory. This
	    fixes bug #34.

Fri Mar 31 11:51:03 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Fixed a deadlock when threading is enabled. Patch by
	    Jorn Baayen, with an additional change by me. We're no longer
	    setting _core to the core object in two separate places.

Thu Mar 30 18:44:01 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Change dbus_connection_disconnect() to dbus_connection_close().

Thu Mar 30 16:44:29 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	* tests/check-libgalago.c:
	  - Add unit tests for galago_service_normalize().

Thu Mar 30 15:34:06 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* NEWS:
	  - Added better threading support. All global/static variables are
	    now locked.
	  - Fixed a memory leak in GalagoPerson where session IDs weren't being
	    freed.
	  - Changed galago_service_normalize() to return an allocated string
	    instead of a static buffer. Also rewrote this to use GString and to
	    hopefully be a little more efficient.
	  - Used GOnce where appropriate to initialize certain things only once.

Wed Mar 29 22:15:25 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Remove galago_dbus_normalize_name(). It's been moved to
	    galago-daemon.

Wed Mar 29 01:54:47 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	  - Fix an issue uncovered when binding libgalago. Objects being returned
	    had their reference counts bumped up, which caused them to no longer
	    be destroyed after galago was uninitted. The context was being
	    destroyed and then unreffing each object, with the expectation of
	    actually destroying them. Then Python (or whatever else) would later
	    clean up and try to unref the objects. These objects would then
	    attempt to remove themselves from the now garbage context. Now, we
	    just run g_object_run_dispose() on these objects, killing them off
	    for good.

Tue Mar 28 01:37:38 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-object.c:
	  - Fixed a memory leak in GalagoObject where the D-BUS path wasn't
	    being freed.
	  - Fixed a potential memory leak in GalagoContext where stored user
	    data in an object wasn't being unset.

Fri Mar 24 01:23:12 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-key-value.c:
	* libgalago/galago-key-value.h:
	  - Added some API functions for manipulating the GalagoKeyValue.

Fri Mar 24 00:40:43 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-status.c:
	* tests/get-presence.c:
	  - Add galago_object_get_has_attribute(), and remove
	    galago_status_attr_exists().

Sun Mar 19 17:23:49 PST 2006  Christian Hammond <chipx86@chipx86.com>

	A libgalago/galago-key-value.c:
	A libgalago/galago-key-value.h:
	* libgalago/galago.h:
	* libgalago/galago-object.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/Makefile.am:
	* tests/presence-feed.c:
	  - Added GalagoKeyValue, a small data structure containing a string key
	    and a GValue.
	  - Removed GalagoStatusAttr. GalagoKeyValue now holds this data, and
	    implementations of galago_object_get_attributes() will return lists
	    of these.
	  - Cleaned up cruft. Yay cruft!

Sun Mar 19 16:22:20 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	  - Move GalagoStatus to use GalagoObject's attributes support instead
	    of its own functions.

Sun Mar 19 15:40:36 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Fixed several bugs in remote object attributes. Namely, they now
	    work for objects other than GalagoPerson.
	  - Added support for attributes of type double.
	  - Added galago_object_get_attributes().
	  - Made the attribute functions into virtual functions, so that other
	    classes can do with them as they see fit.

Tue Mar 14 21:23:26 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	  - Properly move the D-BUS message iterator when getting the result
	    of AddPerson, so that we don't use the object path as the UID.
	    This fixes bug #25.

Mon Mar 13 23:11:58 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	A tests/list-accounts.c:
	A tests/list-my-accounts.c:
	A tests/list-people.c:
	A tests/list-services.c:
	  - Move stuff from galago-daemon/tools/ to libgalago/tests/.

Mon Mar 13 22:35:18 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-value.c:
	  - Fixed galago_value_destroy() to free string data. This closes
	    bug #26.

Tue Feb 28 18:39:34 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Use g_warning instead of g_error when libgalago can't connect to
	    galago-daemon. This prevents crashes when galago-daemon isn't
	    installed.

Mon Feb 27 01:03:57 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.h:
	  - Fix a small documentation error.

Mon Feb 27 00:10:56 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/get-presence.c:
	  - Don't show idle details if the account is not idle.

Sun Feb 26 19:37:48 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	  - Fix a segfault due to a recent change. We were strcmp'ing against
	    old_id, which is NULL the first time.

Sun Feb 26 19:34:40 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* po/da.po:
	* po/fr.po:
	* po/libgalago.pot:
	* po/POTFILES.in:
	* po/pt_BR.po:
	  - Pass make distcheck.

Sun Feb 26 19:30:01 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Fill in the news with some of the more recent changes.

Wed Feb 22 01:52:20 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	  - Patch by Ross Burton to fix a crash when sending the
	    RemoveAccount message to the daemon after a feed unrefs the
	    account object being sent.

Fri Feb 17 00:38:15 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/Makefile.am:
	  - Added property notification to all objects.
	  - Added a GALAGO_STATUS_ATTR_MESSAGE define.

Tue Feb 14 11:05:05 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-person.h:
	  - galago-person.h shouldn't be including galago-value.h.

Mon Feb 13 00:17:31 PST 2006  Christian Hammond <chipx86@chipx86.com>

	D debian:
	D debian/changelog:
	D debian/compat:
	D debian/control:
	D debian/copyright:
	D debian/libgalago1.dirs:
	D debian/libgalago1.install:
	D debian/libgalago-dev.dirs:
	D debian/libgalago-dev.install:
	D debian/Makefile.am:
	D debian/rules:
	* configure.ac:
	* Makefile.am:
	  - Remove the debian/ directory. Now that I'm not the guy packaging
	    all this, it's time for this to go away so that their lives can
	    be made easier.

Sun Feb 12 03:21:46 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-private.h:
	* tests/check-libgalago.c:
	* tests/presence-feed.c:
	  - Move to the new method of handling person IDs. Now, an ID should
	    only be set when creating a person if the feed can tie that ID to
	    the person at a later date (for example, eds-feed uses the person ID
	    from the database). Internally, we now use a per-session handle ID
	    for keeping track of state and storing in the cache. While there is a
	    public function for retrieving this, there's no reason for apps to
	    really use it.

Thu Feb 09 00:08:19 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	* libgalago/galago.h:
	  - galago-value.h is now an internal file, used only for galago-dbus.

Tue Feb 07 10:14:48 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	  - Update the protocol documentation.

Tue Feb 07 02:02:46 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-private.h:
	  - Fix the pushing of a GalagoAccount's presence. This seems to
	    be the last fix for the re-registration problems.

Tue Feb 07 01:57:41 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Remove some asserts that were preventing re-registration from
	    working. It's still buggy, but works better now.

Tue Feb 07 01:37:12 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	  - Pass the correct values to galago_get_people() and
	    galago_get_services(). This is another case of passing TRUE/FALSE
	    when an enum value should have been passed.

Tue Feb 07 01:04:02 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - Beef up the unit tests by registering as a feed and ensuring that
	    objects can be created with valid returned object paths.

Tue Feb 07 00:48:17 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	  - Retrieve the GalagoStatus's object path from the daemon, rather than
	    setting it in libgalago. This is the last occurrence of libgalago
	    setting object paths.

Mon Feb 06 00:18:31 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	  - Set the object path on the GalagoPerson based on the result from
	    the daemon when a feed adds an object.

Fri Feb 03 02:25:55 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-presence.c:
	  - Fix the GalagoAccount and GalagoPresence D-BUS signatures, now
	    that we're passing object paths in. Note that in the future, we're
	    going to want to move the Object Path part of it into the
	    galago_object_* functions, as it will be universal to all objects.

Fri Feb 03 02:13:42 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-private.h:
	  - Replace SetPresence/UnsetPresence calls with
	    CreatePresence/RemovePresence. CreatePresence now returns the
	    object path of the presence object, so we no longer compute this
	    ourselves.
	  - Listen for PresenceCreated and PresenceDeleted D-BUS signals instead
	    of PresenceSet and PresenceUnset signals.
	  - Change the GalagoAccount presence signals to be presence_created
	    and presence_deleted.
	  - Remove _galago_account_set_person().

Thu Feb 02 23:57:48 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	  - Begin work on having AddPerson and SetPresence return object paths.
	  - Do some little cleanups and API changes. A lot of this is in flux.

Wed Feb 01 20:51:34 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	  - Add back _galago_account_set_person(). galago-daemon uses it.

Wed Feb 01 19:49:42 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Patch by compnerd to allow for the disabling of unit tests during
	    configure. This closes ticket #15.

Fri Jan 27 11:07:47 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Make several functions internal that were previously marked as
	    internal. "Daddy, why is there a function for adding an account to a
	    service when the service already owns the account?" "Because the
	    developer's an idiot, son."

Wed Jan 25 23:09:21 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* AUTHORS:
	  - Rearrange the sections in AUTHORS so that it's a bit more clear
	    as to who has worked on what.

Wed Jan 25 23:07:17 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Patch by Jorn Baayen to prevent an infinite loop caused sometimes
	    when setting a photo. This closes bugzilla bug #5636.

Wed Jan 25 22:59:31 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	  - Set the object path when receiving an account object.

Tue Jan 10 00:40:54 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	* libgalago/galago-dbus.c:
	* libgalago/galago-service.c:
	  - Have the daemon compute the account object paths instead of doing
	    it ourselves.

Tue Jan 10 00:23:06 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Remove some debug messages.

Tue Jan 10 00:21:47 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	  - Fix some idle reporting bugs.

Mon Jan 09 23:27:45 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-service.c:
	  - Rather than computing the object path for an service., let
	    the daemon handle this. libgalago shouldn't care. This will
	    be replicated for the other objects. This may possibly have
	    unwanted side effects.

Mon Jan 09 20:19:33 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - id -> uid for GalagoPerson.

Wed Dec 14 00:57:24 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	  - Add support for object attributes in GalagoAccount.

Wed Dec 14 00:33:03 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* tests/get-person-attr.c:
	* tests/person-attr-test.c:
	  - Rename all galago_object_*_attr() functions to
	    galago_object_*_attribute().

Wed Dec 14 00:25:47 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* tests/Makefile.am:
	A tests/get-person-attr.c:
	D tests/get-property.c:
	A tests/person-attr-test.c:
	D tests/property-test.c:
	  - Moved Person Properties out into a more generic Object Attributes
	    model. Subclasses of GalagoObject can set a flag indicating if they
	    support object attributes. Right now, this is only GalagoPerson,
	    but GalagoAccount will later. These are only meant for remoted
	    attributes. Locally stored in-process data should use GObject user
	    data support.

Sun Dec 04 04:36:39 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-marshal.list:
	* libgalago/galago-person.c:
	* tests/check-libgalago.c:
	* NEWS:
	  - Added support for setting a custom priority account calculation
	    function. To set this, connect to the "calc_priority_account"
	    signal on galago_get_core() and return the priority account. If
	    the handlers return NULL, the default calculation function is used.
	  - Added unit tests for priority account calculation.

Sun Dec 04 02:58:27 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	  - Update the protocol docs to remove the SetData call on Image.

Sun Dec 04 02:54:37 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-person.c:
	  - GalagoImage is no longer mutable. It represents the image data
	    it was created with, and never anything else.
	  - We no longer assign an object path to a GalagoImage.

Sat Dec 03 01:32:17 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* docs/protocol/protocol.hh:
	* libgalago/galago-presence.c:
	  - Don't try to set the idle start time as a ULONG. It gets translated
	    to a UINT32 anyway, but this is still more correct.

Sat Dec 03 01:19:48 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* Makefile.am:
	  - Rename the doxygen target to docs.
	  - Generate the protocol docs when typing make docs.

Sat Dec 03 01:15:24 PST 2005  Christian Hammond <chipx86@chipx86.com>

	A docs/protocol/Doxyfile:
	A docs/protocol/protocol.hh:
	* AUTHORS:
	  - Added protocol documentation. The beginnings were provided by
	    Ricardo Kekki, with some additions and modifications by me.

Fri Dec 02 22:15:10 PST 2005  Christian Hammond <chipx86@chipx86.com>

	A docs/api:
	A docs/protocol:
	* Doxyfile.in:
	  - Output the Doxygen docs to the docs/api/ directory.

Fri Dec 02 01:48:04 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.h:
	* libgalago/galago-presence.h:
	  - A couple of documentation fixes. I forgot to update the parameter
	    names in the doc blocks.

Fri Dec 02 01:38:32 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-context-base.h:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-image.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.h:
	* libgalago/galago-status.h:
	* libgalago/galago-value.h:
	* libgalago/galago.h:
	* Doxyfile.in:
	  - Patch by Ross Burton to fix up the documentation for Doxygen, and to
	    add to it a bit.

Sun Nov 27 15:17:27 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	D libgalago/galago-log.c:
	D libgalago/galago-log.h:
	* libgalago/galago-account.c:
	* libgalago/galago-assert.h:
	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago.h:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* tests/check-libgalago.c:
	  - Use the glib logging functions instead of our own.

Sun Nov 27 14:51:52 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Update the NEWS with what's been done so far for 0.5.0.

Thu Nov 24 17:20:00 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	* tests/get-presence.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	  - Move to an idle model where you record the time the idle state began,
	    instead of constantly updating the idle time length. This is untested
	    due to lack of time, but should work :) Yay massive development trees.

Sun Nov 20 03:43:45 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-status.c:
	  - Give GalagoStatus object properties, and use them when creating
	    the object.

Sun Nov 20 03:20:08 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-status.c:
	  - When building a string, it's best to concatenate the result of a
	    function, rather than the function itself, to the string. Unit
	    tests all pass now.

Sun Nov 20 03:17:35 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - galago_dbus_message_iter_append_object_list() now passes all objects
	    in an actual D-BUS array, and
	    galago_dbus_message_iter_get_object_list() now expects an array.

Sun Nov 20 03:14:49 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-presence.c:
	  - galago_dbus_message_iter_append_object_list() now requires a GType.

Sun Nov 20 03:03:46 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Tip of the day: Don't use a private structure for a class. Store the
	    data in the class itself. Otherwise it seems there are issues.

Sun Nov 20 02:53:50 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - Improve the unit tests to compare class-provided signatures and
	    the actual signatures going into a DBusMessage. Also added some
	    utility functions for creating dummy objects.

Sun Nov 20 01:30:24 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	  - Retrieve the Service flags into an int, and then cast to
	    GalagoServiceFlags to work around some weirdness that I've
	    encountered in the past.

Sun Nov 20 01:21:00 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - When retrieving a person's property, retrieve the value from a
	    variant container.

Sun Nov 20 01:00:24 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* tests/check-libgalago.c:
	  - Implement proper array storage of statuses in a GalagoPerson.
	  - Give GalagoPresence a D-BUS signature.
	  - Fine-tune the unit testing for D-BUS signatures on a per-class basis.

Sat Nov 19 16:18:38 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Properly create a "me" person when being sent one. Also, I think
	    I accidentally fixed a bug in person signatures.

Sat Nov 19 15:56:04 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - Support retrieving actual arrays of objects in
	    galago_dbus_message_iter_get_object_list when the iter is an array.
	    Otherwise, fall back on our hacked up one from the D-BUS 0.2x days,
	    which will be removed in time.

Sat Nov 19 15:51:11 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.c:
	  - Fix the core problem with signature retrieval. != != ==.

Sat Nov 19 15:47:48 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/check-libgalago.c:
	  - Remove old cruft from the very limited test suite, and add some new
	    checks (which fail currently).

Sat Nov 19 15:41:18 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-image.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Redo object signature retrieval. We don't really want to operate on a
	    per-object basis, so now we're per-type basis.
	    galago_object_get_dbus_signature() has been renamed to
	    galago_object_type_get_dbus_signature(). It no longer requires the
	    returned string to be freed, as it caches it.

Sat Nov 19 15:13:16 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Implement dbus_get_signature for GalagoPerson.

Sat Nov 19 15:02:46 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/get-presence.c:
	  - Pass GALAGO_REMOTE, not FALSE, to galago_get_account().

Sat Nov 19 14:59:05 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago.h:
	* tests/Makefile.am:
	A tests/get-property.c:
	  - The values of a property are now encased in a D-BUS VARIANT type.
	  - Added a get-property tool.

Tue Nov 15 19:57:04 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Use g_strdup_printf() instead of snprintf() when building object
	    paths.

Sat Nov 12 15:56:58 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/get-avatar.c:
	  - Pass GALAGO_REMOTE and not FALSE to galago_get_service(). I wish the
	    compiler was more strict about this.

Sat Nov 12 15:48:58 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-image.c:
	  - Add a dbus_message_get vfunc to GalagoImage.

Sat Nov 12 15:27:06 PST 2005  Christian Hammond <chipx86@chipx86.com>

	D libgalago/galago-avatar.c:
	D libgalago/galago-avatar.h:
	D libgalago/galago-photo.c:
	D libgalago/galago-photo.h:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/Makefile.am:
	* tests/get-avatar.c:
	* tests/presence-feed.c:
	  - Move the logic from GalagoAvatar and GalagoPhoto solely into
	    GalagoImage, and remove GalagoAvatar and GalagoPhoto.
	  - Added galago_image_new_from_file() and galago_image_new_from_data().

Fri Nov 11 02:58:39 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-image.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Did some work on beginning the removal of GalagoAvatar and
		GalagoPhoto.
	  - Added create_presence().
	  - Lots of other restructuring that's not done.

Thu Nov 10 23:55:39 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Changed the connected and disconnected signals into a
	    connection_state_changed signal.

Thu Nov 10 21:32:16 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	  - Fix a compiler error with a missing galago-marshal.[ch].

Mon Nov 07 02:37:16 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-image.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-service.c:
	  - Add a virtual function to GalagoObject to return the object's
	    D-BUS signature string. Implemented this in a few objects.

Sun Nov 06 15:55:38 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Missed some functions. Fix them.

Sun Nov 06 15:40:52 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* tests/get-avatar.c:
	* tests/get-presence.c:
	* tests/monitor.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Remove the galago_core_* prefixes. All galago_core_* functions are
	    now galago_* functions. This cleans up a bit, and is nice because
	    the core object is supposed to mainly be hidden.

Sun Nov 06 04:11:03 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - Fix get_ret_val_from_iter() so that we always pass the address of
	    retval.

Sun Nov 06 03:40:12 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-context.c:
	* libgalago/galago-object.c:
	* libgalago/galago-service.c:
	  - Okay, boys and girls. It's time to not crash on startup!

Sun Nov 06 02:58:22 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.h:
	  - Document how galago_core_get_me() will always return a "Me" person
	    in the local case.

Sun Nov 06 02:55:02 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Add properties to GalagoPerson.
	  - Remove galago_person_new() and add galago_core_create_person().
	  - Remove galago_person_me_new(). galago_core_get_me() will now always
	    return a Me person in the local case. Nothing has changed for the
	    remote case.

Sat Nov 05 23:21:44 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	  - Use GALAGO_SERVICE_ID_* instead of hard-coding ID strings in the
	    test apps.

Sat Nov 05 23:09:27 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Remove the concept of native and foreign people and services. Now
	    theres a GalagoOrigin enum containing GALAGO_LOCAL and GALAGO_REMOTE.
	    Every object has an origin set (or should at this point). This
	    removes some confusion and improves the API just a bit.
	  - Removed galago_service_new() and added galago_core_create_service().
	    The new one doesn't take an origin, unlike the old function, as
	    programs should never have to create a foreign^Wremote service.

Thu Nov 03 01:36:00 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	  - Add properties to GalagoService.

Thu Nov 03 01:27:51 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.h:
	  - Mark up the GalagoServiceFlags enum in a way that glib-mkenums
	    understands as flags.

Thu Nov 03 01:18:22 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.h:
	  - Mark certain properties as G_PARAM_CONSTRUCT_ONLY, and remove
	    GALAGO_OBJECT_WARN_ONETIME_PROPERTY_ID().

Thu Nov 03 00:53:29 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-object.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Add properties to GalagoAccount.
	  - Remove galago_account_new, and replace it with
	    galago_service_create_account.

Wed Nov 02 19:37:24 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - g_return_val_if_fail in galago_dbus_message_iter_get_object() if
	    the iterator has reached the end of the message.

Tue Nov 01 01:09:16 PST 2005  Christian Hammond <chipx86@chipx86.com>

	D libgalago/galago-dbus-compat.h:
	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-image.c:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* libgalago/Makefile.am:
	  - Remove galago-dbus-compat.h.

Tue Nov 01 01:00:32 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus-compat.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-image.c:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* configure.ac:
	  - The end of an era. All D-BUS 0.23.x code is gone. libgalago now
	    requires D-BUS 0.36 or higher. I'm sure this will inconvenience
	    some people, but it's needed for progress to be made.

Sat Oct 29 19:11:50 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-avatar.c:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-photo.c:
	* tests/get-avatar.c:
	  - Rename galago_image_{set,get}_image_data() to
	    galago_image_{set,get}_data().

Sat Oct 29 19:00:33 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.h:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-image.h:
	* libgalago/galago-log.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.h:
	* libgalago/galago-status.h:
	* libgalago/galago-value.h:
	  - Use G_BEGIN_DECLS/G_END_DECLS instead of our own ifdef stuff.

Sat Oct 29 18:17:35 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* tests/get-avatar.c:
	  - Condense most of the logic and functions of GalagoAvatar and
	    GalagoPhoto into GalagoImage. GalagoAvatar and GalagoPhoto no
	    longer have their own image set/get functions, and instead their
	    object-specific code is handled through a virtual function.

Sat Oct 29 01:52:58 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Use g_atexit for the exit handler.
	  - Upon exitting, make sure we unref the core until it finalizes,
	    so that the program will properly unregister.

Sat Oct 29 01:34:53 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Don't setup the DBusConnection with glib until we're sure it's
	    non-NULL.

Sat Oct 29 00:17:00 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-status.c:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Corrected several data types and used gsize instead of size_t in
	    the public API. This makes binding easier as well.

Thu Oct 27 01:25:46 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Removed galago_init_with_mainloop().
	  - Properly reset _core to NULL when finalizing GalagoCore.

Wed Oct 26 02:54:49 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago.h:
	  - Generate galago-enum-types.[ch].

Wed Oct 26 02:33:44 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - There's absolutely no reason to make GalagoCore public in any
	    way, so hide it.

Wed Oct 26 02:31:16 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-core.c:
	  - Make galago_context_get_object() return a GalagoObject instead of a
	    void *.

Wed Oct 26 02:22:34 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Move some code to use glib types (such as gint32) instead of
	    custom or dbus types.

Wed Oct 26 02:04:14 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context-base.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-core.c:
	* libgalago/galago-object.h:
	  - Make GalagoContext a GalagoObject. This required some small API
	    changes, such as removing galago_context_destroy in favor of using
	    g_object_unref.

Tue Oct 25 01:46:23 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.h:
	  - Added GALAGO_PERSON_PROP_UID.

Tue Oct 25 00:07:56 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Remove some debugging stuff that caused aborts.

Mon Oct 24 10:16:57 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus-compat.h:
	  - Force galago-dbus-compat.h to include config.h so that this can
	    all be compiled on Breezy properly. Not sure why it wasn't
	    failing on Hoary.

Mon Oct 24 01:25:54 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Remove more TODOs about signal freezing/thawing, and update the
	    docs.

Mon Oct 24 01:22:46 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Removed some of the TODOs about signal freezing/thawing and instead
	    update the documentation telling users to beware that their code
	    may run into problems if they're not careful with the signals.

Sun Oct 23 20:35:53 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/monitor.c:
	  - The monitor shouldn't be a feed. Not that it does anything anyway.

Sun Oct 23 03:39:21 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added a "changed" signal to GalagoPresence, which is emitted
	    whenever a status is added, removed, or changed, or the idle time
		is changed.

Sun Oct 23 02:58:02 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Only attempt to unref a person's photo if the photo isn't already
	    being destroyed.

Sun Oct 23 02:09:36 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* tests/monitor.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	  - Remove galago_glib_init() and make galago_init() do all the glibby
	    stuff. Updated all test feeds appropriately.

Sun Oct 23 01:47:32 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	  - Bump the version to 0.3.3.90.

Fri Oct 14 22:49:08 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Bring back GalagoPerson's account-added and account-removed signals.
	    I don't remember why these were removed in the first place.

Wed Oct 05 15:25:41 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-presence.c:
	  - Added object flags.
	  - Fixed the problem of a presence being destroyed, unsetting the
	    account, which unsets the presence which destroys it which causes
	    all manners of chaos.
	  - Moved most dispose/finalize handlers to GalagoObject destroy
	    handlers.

Tue Oct 04 20:00:42 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	  - Include galago-log.h so we don't warn when using galago_log_*.

==================== 0.3.3 ====================

Sat Aug 27 21:28:51 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* debian/control:
	  - Allow the user to build with either libdbus-glib-1-dev or
	    dbus-glib-1-dev.
	  - Bump up Standards-Version to 3.6.2.

Sat Aug 27 20:48:28 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	* debian/changelog:
	* debian/copyright:
	  - Fixed some lintian errors and warnings where appropriate.

Sat Aug 27 20:58:28 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* debian/control:
	  - Build-depend on autoconf, automake, libtool, and gettext.
	  - Build-depend on cvs, since we use autopoint (as specified in 
	    gettext's README.Debian.

Sat Aug 27 20:40:31 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* debian/control:
	  - Fix Build-Depends to depend on dbus-glib-1-dev instead of dbus-1-dev
	    and libglib2.0-dev instead of libglib2.0-0.
	  - Add a debian/changelog entry for libgalago 0.3.3.

Sat Aug 27 15:05:49 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* configure.ac:
	  - Bump to version 0.3.3.

Wed Aug 24 10:18:35 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* AUTHORS:
	  - Patch by Ross Burton to fix the hashing of AccountCacheKeys in
	    GalagoPerson. The original code was still attempting to get the
	    hash of strings and compare them.

Fri Aug 19 08:10:27 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Gracefully handle incoming messages with NULL paths.

Fri Aug 12 00:56:00 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago.h:
	  - Don't include galago-utils.h.

Fri Aug 12 00:54:54 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-presence.c:
	  - Compile.

Fri Aug 12 00:53:22 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Don't include galago-object-utils.h.

Fri Aug 12 00:38:30 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	  - Fix a circular dependency issue with the marshal files.

Mon Aug 08 23:59:26 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context-base.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus-compat.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Several fixups from on the train today.

Sat Jul 30 16:38:05 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - GALAGO_OBJECT_CLASS != GALAGO_OBJECT_GET_CLASS

Sat Jul 30 16:25:00 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Explicitly require a GalagoObject * in the D-BUS wrapper functions,
	    rather than a void *.

Sat Jul 30 15:39:46 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.c:
	  - Prepend PROP_0 to the property list. Otherwise, we hit assertion
	    errors.


Sat Jul 16 02:32:49 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus-compat.h
	* NEWS:
	  - Fixed several D-BUS 0.3x bugs having to do with appending and
	    retrieving arrays. D-BUS 0.34 or higher is required, as versions
	    0.30 through 0.33 are broken internally.

Fri Jul 15 21:04:01 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	A tests/avatar.png:
	* tests/presence-feed.c:
	  - Updated presence-feed to set a single avatar, giving us a nice
	    test case for the image array bug when using D-BUS 0.3x.

Thu Jun 23 21:00:24 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus-compat.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago.h:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* tests/check-libgalago.c:
	* tests/get-presence.c:
	* tests/monitor.c:
	  - libgalago now compiles.

Thu Jun 23 01:20:58 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-marshal.list:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - GalagoPresence compiles.

Thu Jun 23 01:10:34 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	D libgalago/galago-marshal.c:
	D libgalago/galago-marshal.h:
	A libgalago/galago-marshal.list:
	* configure.ac:
	  - Added back support for custom marshals, but this time through
	    glib-genmarshal.

Wed Jun 22 23:31:56 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - GalagoStatus compiles.

Wed Jun 22 23:25:27 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	  - Make GalagoAccount mostly compile, except for the lack of a
	    GALAGO_TYPE_PRESENCE macro currently.

Wed Jun 22 23:18:51 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Make GalagoService compile. Won't work, though. Not right at least.

Wed Jun 22 23:13:13 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Made GalagoValue work with GTypes, even though I plan to nuke this
	    whole thing before all this is released.

Wed Jun 22 22:02:13 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-log.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	D libgalago/galago-object-utils.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	* libgalago/Makefile.am:
	  - Changed all galago_return_* macros to g_return_*.
	  - Fixed up part of GalagoAccount, but not nearly enough to compile.
	  - Make GalagoImage, GalagoAvatar, and GalagoPhoto compile.
	  - Deleted galago-object-utils.h.

Tue Jun 21 00:18:37 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-object.h:
	  - Added galago_object_get_type.

Tue Jun 21 00:11:52 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	D libgalago/galago-signals.c:
	D libgalago/galago-signals.h:
	  - Nuked the old object infrastructure and added a new GalagoObject
	    that derives from GObject.

Mon Jun 20 00:41:44 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Confirmed to work with D-BUS 0.22. Thanks Bleeter.

Sat Jun 18 13:34:45 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context-base.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus-compat.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	* libgalago/galago-marshal.c:
	* libgalago/galago-marshal.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-object-utils.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-signals.c:
	* libgalago/galago-signals.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	D libgalago/galago-utils.c:
	D libgalago/galago-utils.h:
	D libgalago/galago-utils-priv.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	* libgalago/Makefile.am:
	  - Use the glib memory functions rather than our own.
	  - Nuked galago-utils*.[ch].

Sat Jun 18 13:24:02 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/Makefile.am:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	D libgalago/galago-hashtable.c:
	D libgalago/galago-hashtable.h:
	D libgalago/galago-list.c:
	D libgalago/galago-list.h:
	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	* libgalago/galago-marshal.c:
	* libgalago/galago-marshal.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-signals.c:
	* libgalago/galago-signals.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	D libgalago/galago-types.h:
	* libgalago/galago-utils.c:
	* libgalago/galago-utils.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	* libgalago/galago.h:
	* tests/check-libgalago.c:
	* tests/get-presence.c:
	* tests/monitor.c:
	* configure.ac:
	  - Removed GalagoList in favor of GList.
	  - Removed GalagoHashTable in favor of GHashTable.
	  - Removed some other functions and structs in favor of the glib
	    counterparts.

Fri May 27 19:41:25 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.h:
	* libgalago/galago-value.h:
	  - A couple small documentation updates.

Fri May 27 19:38:15 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump to version 0.3.2.90.

Wed May 25 01:05:49 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* debian/changelog:
	* configure.ac:
	  - Bump to version 0.3.2.
	  - Require D-BUS >= 0.23.x.

Tue May 24 20:51:43 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - Disabled the object array stuff in D-BUS 0.3x, since it's not
	    working yet. No big deal, we'll just break the protocol in the
	    next release again ;)

Tue May 24 20:18:58 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* setup-gettext:
	  - Hopefully fix setup-gettext on MacOS X.

Tue May 24 18:17:32 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Add #ifdef HAVE_SIGNAL_H around _sigint_cb. Thanks Mike.

Mon May 23 01:09:40 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-person.c:
	  - Properly check for the INVALID_PROPERTY error.

Sun May 22 21:09:01 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-account.c:
	  - Don't attempt to remove an account from a person if that person
	    was already destroyed. This has been noticed during the galago-daemon
	    feed unregistration process.

Sun May 22 20:43:21 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Support the PropertyRemoved signal.

Sun May 22 20:40:05 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-core.c:
	  - Set or unset the presence, avatar, or photo when receiving the
	    appropriate signals.

Sun May 22 00:12:37 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Get rid of UnsetProperty. We have RemoveProperty. Silly me.

Sat May 21 23:50:22 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Renamed PresenceAdded/Removed to PresenceSet/Unset.

Sat May 21 23:49:54 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	  - Since we don't have NIL, we must now have some Unset functions
	    to complement the Set functions.

Sat May 21 18:18:00 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	  - In the D-BUS 0.3x support, objects are now placed in a struct
	    container.

Sun May 22 00:30:03 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	  - Properly check the returned error when sending a message, and
	    actually remove all the NIL checks.

Sat May 21 23:35:38 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Remove the last of NIL checking, and instead check for
	    GALAGO_DBUS_ERROR_OBJECT_NOT_FOUND.

Sat May 21 21:27:26 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	  - Remove support for checking for a returned NIL when receiving a
	    person property, and instead check for an InvalidProperty error.

Sat May 21 13:57:21 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Force a dispatch call when disconnecting the D-BUS connection so
	    that the disconnect message goes out and the unref function won't
	    assert in D-BUS 0.33.

Sat May 21 13:48:27 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Also fix retrieving status attribute types.

Sat May 21 13:47:07 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Properly retrieve the status type by passing a char variable,
	    rather than a GalagoStatusType, so that we don't end up incorrectly
	    setting the data.

Fri May 20 00:05:27 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* galago-dbus-compat.h:
	  - Added a DBUS_PATH_DBUS compatibility macro.

Thu May 19 09:10:21 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-private.h:
	  - As per Lathiat's suggestion, we now escape the '_' character in
	    object path names. We also special-case GALAGO_ME_ID (_galago_me_)
	    so that we don't end up escaping that one.

Thu May 19 08:55:59 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	  - Woops, make the buffer in galago_dbus_normalize_name() static.
	    How did this ever work?

Wed May 18 00:51:57 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Escape all people IDs, service IDs, and account IDs, so that they
	    are paths that D-BUS 0.30 is happy with. In essence, make Galago
	    work on D-BUS 0.30 (for the most part).

Wed May 18 00:40:20 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-private.h:
	  - Change "#galago-me#" to "_galago_me_" due to D-BUS 0.30's name
	    validation restrictions.

Tue May 17 21:54:54 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-presence.c:
	  - Fix an unwanted dbus_message_iter_next() in
	    galago_account_dbus_message_get(), which was causing almost all
	    the problems.

Tue May 17 21:46:16 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Call dbus_message_iter_next() and the get functions in the right
	    order.

Tue May 17 21:37:37 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Always pull out the idle time from a presence, regardless of the
	    idle state.

Tue May 17 21:37:18 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus-compat.h:
	  - Unbreak galago_dbus_message_iter_append_int32() and
	    galago_dbus_message_iter_append_string_array().

Tue May 17 21:36:55 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Remove some unnecessary D-BUS versioning checks.

Tue May 17 10:19:49 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - As we're not supposed to free the returned data from messages
	    in D-BUS 0.30+, we need to #if !GALAGO_CHECK_DBUS_VERSION(0, 30)
	    all calls to dbus_free() that frees the returned data.

Tue May 17 09:53:57 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus-compat.h:
	  - Initialize the message iter for appending when appropriate.

Tue May 17 01:12:25 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* acinclude.m4:
	  - Quote AM_PATH_CHECK.

Tue May 17 01:34:26 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	  - Fixed some type conversions.
	  - Introduced a bug some time ago that I just caught. Rather than
	    checking the result of galago_is_daemon() in galago_is_connected(),
	    it was checking the function itself, which was non-FALSE. Now we
	    call the function, and we also check if we're registering the
	    connection so that the send function won't think it's not connected
	    yet.

Tue May 17 01:16:54 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	A libgalago/galago-dbus-compat.h:
	* libgalago/galago-utils-priv.h:
	* libgalago/Makefile.am:
	* configure.ac:
	  - Split the D-BUS compatibility macros into a semi-private header file.
	  - Fixed the D-BUS version checks.
	  - Made things compile on D-BUS 0.23.x again. They don't appear to run
	    yet, though.

Tue May 17 00:13:57 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Added all kinds of wrapper macros and changed code to support
	    D-BUS >= 0.30.

Mon May 09 11:10:07 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - galago_person_has_accounts() now calls GetAccountsCount if query
	    is set to TRUE and the person is non-native. This should speed up
	    this operation.

Thu May 05 01:27:04 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Forgot to set the person's property name when sending over a property.
	    Now things like a person's first name and last name transfer over
		the wire correctly.

Thu May 05 01:16:01 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	  - Fix some memory leaks.

Thu May 05 00:53:19 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-value.c:
	  - galago_value_get_subtype() no longer complains if the value is
	    an array.
	  - Added array support to galago_dbus_message_iter_append_value().

Tue May 03 02:08:14 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Don't use the person's most available account as the display name
	    anymore.  We want these to actually be people. If something wishes
	    to take into consideration the most available account, it can do
	    that itself.

Mon May 02 20:08:55 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	  - Remove the ugly hack and comment for older D-BUS support of the
	    glib bindings.

Mon May 02 20:05:18 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/Makefile.am:
	* debian/control:
	D debian/libgalago0.dirs:
	D debian/libgalago0.install:
	A debian/libgalago1.dirs:
	A debian/libgalago1.install:
	  - Fix up the Debian package for the soname bump.

Mon May 02 19:56:07 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Bump up the version to 0.3.1.91, and the soname.

Sun May 01 20:17:17 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Added galago_dbus_send_message_with_reply_list() and changed
	    _galago_dbus_register_connection() to use it. I'm going to want
	    to redo a lot of this. The API feels.. messy.

Sun May 01 18:04:09 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	  - Move some more code to use the new galago_dbus_send_message()
	    convenience function.

Sun May 01 14:56:24 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	* libgalago/galago-avatar.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Added array functionality to GalagoValue. It's very basic and
	    dumb, right now. Unlike the list support, it doesn't wrap elements
	    in a GalagoValue. Instead, it just copies the pointer to the array.
	    The caller is responsible for managing the array's destructing.
	    It's perhaps inconsistent, but it's what libgalago needs right now.
	  - Renamed galago_value_get_list_type() to galago_value_get_subtype().

Sun May 01 00:39:20 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Updated the vim syntax file.

Sat Apr 30 18:48:23 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Cleaned up a large part of the codebase using the new API functions.
	    libgalago is now 827 lines shorter. There may be bugs, but I've
	    done a bit of testing and think I've fixed up most of them.

Sat Apr 30 17:43:02 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - The list passed to galago_value_new_list() and galago_value_set_list()
	    must now contain the correct data type and not the GalagoValue.

Sat Apr 30 17:19:28 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Added several new D-BUS utility functions that will help to
	    eliminate a large part of the libgalago D-BUS-related codebase.

Sat Apr 30 16:09:01 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-assert.h:
	  - Added galago_goto_if_fail().

Sat Apr 30 15:44:39 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Object types in GalagoValue now need the class type passed.

Sat Apr 30 15:01:48 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Forgot to add this little important function:
	    galago_value_get_list_type().

Sat Apr 30 14:58:37 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Redid the support for value lists. They're now constructed with a
	    special galago_value_new_list() call, as value lists are more
	    specialer than other values. So nyah!

Sat Apr 30 14:47:55 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Made GalagoValue opaque.

Sat Apr 30 14:43:04 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-signals.c:
	* libgalago/galago-signals.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Removed GalagoSubType.
	  - Removed the BOXED, ENUM, and SUBTYPE types.
	  - Removed support for "outgoing" values. I can't forsee us needing this.
	  - Pointers no longer need a descriptive string value.
	  - Merged galago_value_new() and galago_value_new_with_data().
	  - galago_signal_register() now takes GalagoType parameters instead of
	    GalagoValue. Yay slightly reduced memory usage.

Sat Apr 30 14:23:30 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Introduced a list type for GalagoValue. I actually shouldn't have
	    done this now, because I'm about to redo how that works, but I need
	    to nuke subtype suppor first, so *shrug*.

Sat Apr 30 13:59:04 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Added galago_value_new_with_data().

Sat Apr 30 12:00:08 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Added missing GalagoSubType enum names.

Sat Apr 30 02:15:25 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Updated the vim syntax file for the new API changes.

Sun Apr 24 14:14:33 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-core.c:
	* libgalago/galago.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	A libgalago/galago-object-utils.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-utils-priv.h:
	* libgalago/Makefile.am:
	* NEWS:
	  - Added a GALAGO_REGISTER_CLASS convenience macro.
	  - Renamed the *_get_class() functions. You won't need to modify any
	    code, as the GALAGO_CLASS_* macros wrap them, but you should
	    recompile any code using libgalago or you'll get a runtime
	    deprecation warning.

Sun Apr 17 02:01:49 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* NEWS:
	* configure.ac:
	  - Added galago_core_set_exit_with_daemon(), which exits the
	    application when galago-daemon disconnects, and
	    galago_core_get_exit_with_daemon().

Mon Apr 04 02:26:53 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - If galago_init_with_mainloop() successfully calls galago_init,
	    but it isn't connected at this point, return FALSE, since we
	    don't know if the init function passed allows for NULL D-BUS
	    connections (and in the case of glib, it certainly doesn't).

Mon Apr 04 02:26:24 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* configure.ac:
	  - Bump the version to 0.3.1.90.

Fri Apr 01 20:33:12 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* NEWS:
	* configure.ac:
	  - Bumped the version to 0.3.1.

Fri Apr 01 19:45:54 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* Makefile.am:
	  - Make sure setup-gettext gets in the tarball.

Fri Apr 01 01:27:34 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-signals.c:
	* libgalago/galago-utils.h:
	A libgalago/galago-utils-priv.h:
	* configure.ac:
	  - Move GALAGO_VA_COPY into a new galago-utils-priv.h, and add
	    configure checks so we actually end up using the right function
	    on the right platforms.
	  - Bump the version to 0.3.0.90.

Tue Mar 22 00:23:40 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	* debian/changelog:
	  - Bump the version to 0.3.0.

Sat Mar 19 02:41:38 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A debian/Makefile.am:
	* Makefile.am:
	* configure.ac:
	  - Include the debian/ dir in the make dist tarball.

Sat Mar 19 02:29:33 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	  - Remove the manual libc6 dependency.

Thu Mar 17 10:41:10 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	  - Add libc6 and pkg-config as dependencies.

Thu Mar 17 01:49:26 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/control:
	  - Fix the dependencies and  dev package description.

Thu Mar 17 01:44:52 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* debian/changelog:
	* debian/rules:
	  - Fix the package version.
	  - Modify the rules a bit to check if we need to call autogen.sh.

Thu Mar 17 01:17:31 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A debian:
	A debian/changelog:
	A debian/compat:
	A debian/control:
	A debian/copyright:
	A debian/libgalago0.dirs:
	A debian/libgalago0.install:
	A debian/libgalago-dev.dirs:
	A debian/libgalago-dev.install:
	A debian/rules:
	  - Added a debian/ directory.

Wed Mar 09 01:59:36 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Bump the version to 0.2.90.

Mon Mar 07 21:42:50 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* autopackage/Makefile.am:
	* po/fr.po:
	* po/libgalago.pot:
	* po/pt_BR.po:
	  - Make make distcheck work.

Mon Mar 07 10:18:49 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago.spec.in:
	  - Add the skeleton.1 file to the devel RPM.

Sun Mar 06 17:04:56 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Until we fully support D-BUS 0.30, bring the NIL support back for
	    person properties.

Sun Mar 06 16:53:48 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	  - Due to lovely copy/paste errors, we were referencing avatars instead
	    of photos in galago-person.c and accounts instead of persons in
	    galago-photo.c. This is now fixed, of course. Yay.

Sun Mar 06 16:30:38 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-image.c:
	* libgalago/galago-image.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Added GALAGO_IS_*() macros, and used them in each function.

Sun Mar 06 14:47:58 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Oops, consistency is good. Call
	    galago_dbus_message_iter_append_string_or_nil in the other place that
	    does the check as well.

Sun Mar 06 14:45:58 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-signals.c:
	  - Don't manually wrap the signal error message.
	  - Call galago_dbus_message_iter_append_string_or_nil on the
	    account display name, rather than manually checking if it's set
	    and sending a nil.

Sun Mar 06 14:27:02 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-signals.c:
	  - Be a little more clear in a couple of our assertions.

Sun Mar 06 14:14:42 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-value.h:
	  - Don't set image data in avatars or photos until the object has a
	    valid path set.
	  - Created photo and image GalagoValue subtypes, and registered a
	    photo-set signal for GalagoPerson.
	  - Be a little more careful with our empty string check in
	    galago_dbus_message_iter_get_string_or_nil().
	  - Assert the path and interface we send in to
	    dbus_message_new_method_call().

Sat Mar 05 17:43:17 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* autopackage/Makefile.am:
	A autopackage/skeleton.1:
	  - Add an autopackage skeleton.1 file and install it.

Sat Mar 05 15:09:34 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-person.c:
	  - Get rid of D-BUS NIL usage, since it looks like this will be
	    changing in D-BUS 0.30. We need something a bit more intelligent
	    in the galago-person.c change.

Mon Feb 21 01:59:24 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A autopackage/Makefile.am:
	A autopackage/default.apspec.in:
	* Makefile.am:
	* configure.ac:
	  - Added autopackage support.

Mon Feb 21 01:09:04 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Support service owner changing and feed/client re-registration
	    on D-BUS 0.23 and higher.

Mon Jan 03 20:27:41 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	  - Don't install galago-context-priv.h.

Mon Jan 03 19:41:07 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Updated the vim syntax highlighting.

Mon Jan 03 19:27:29 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* tests/check-libgalago.c:
	  - Added a unit test for abstract objects.

Mon Jan 03 19:16:01 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-image.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added support for abstract classes.

Mon Jan 03 00:37:49 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	A libgalago/galago-image.c:
	A libgalago/galago-image.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-photo.c:
	* libgalago/galago-photo.h:
	* libgalago/Makefile.am:
	  - Added a base abstract GalagoImage class. GalagoAvatar and
	    GalagoPhoto now inherit from this. The APIs for GalagoAvatar and
	    GalagoPhoto haven't changed, but they do now wrap GalagoImage's API.

Mon Jan 03 00:36:15 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - Take objects' parent classes into consideration when initializing
	    the objects. Much like initializing classes.

Sun Jan 02 21:10:12 PST 2005  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	A libgalago/galago-context-base.h:
	A libgalago/galago-context-priv.h:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-photo.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Split parts of galago-context.h into galago-context-base.h (which
	    contains the GalagoContext struct and typedefs) and
	    galago-context-priv.h (which contains functions that should only
	    be used internally). This was done because some upcoming changes
	    contain objects that inherit GalagoObject. galago-object.h includes
	    galago-context.h, which includes galago-person.h and galago-service.h,
	    which in turn include other things that will include other things
	    that cause a massive dependency hell issue. Yeah.

Thu Dec 30 22:57:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Classes that have parent classes (which was never tested before)
	    were not initializing their parent classes at all. This was
	    problematic, and I can only blame everybody else. Now, every parent
	    class's init function is called on the new class.
	  - Added GALAGO_OBJECT_CAST() and galago_object_check_cast().

Thu Dec 30 22:55:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-utils.c:
	* libgalago/galago-utils.h:
	  - Added galago_memdup(). Sure feels like glib, doesn't it?

Wed Dec 29 21:48:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	* libgalago/galago-types.h:
	  - Go back to not checking if DBUS_API_SUBJECT_TO_CHANGE is defined.
	    The problem was, I think, that I was defining it to 1, which causes
	    gcc to complain if it's redefined elsewhere. Just defining it
	    without a value prevents issues.

Mon Dec 20 22:02:19 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.h:
	  - Take into account the possibility of NULL pointers in
	    GALAGO_IS_OBJECT(), GALAGO_IS_CLASS(), and GALAGO_OBJECT().

Mon Dec 20 20:34:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-types.h:
	  - Redefine DBUS_API_SUBJECT_TO_CHANGE only if it's already defined
	    in yet another place.

Mon Dec 20 10:00:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	  - Don't define DBUS_API_SUBJECT_TO_CHANGE if it's already defined.

Mon Dec 20 09:48:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	  - Replaced the string set/get functions with a new macro that
	    works like the others but allows for the destroying/duplicating
	    of data.

Thu Dec 16 20:36:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Simplified the GalagoValue code a bit. Rather than defining a
	    whole bunch of functions manually, we now automate it with
	    macros.

Thu Dec 16 20:00:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.h:
	* libgalago/galago-avatar.h:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.h:
	* libgalago/galago-photo.h:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.h:
	  - Moved object-specific DBUS-related defines into the respective
	    objects' header files.

Wed Nov 03 09:15:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Push the context in galago_account_set_connected() before
	    creating a status.

Fri Oct 29 19:30:50 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c
	* libgalago/galago-status.h:
	  - Fix up the priority calculations a bit more. This should work a bit
	    better and prevent some potential issues down the road.

Fri Oct 29 19:19:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Fix the status_type_scores table and the computations in
	    galago_presence_compare().

Thu Oct 21 00:32:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Send the person's photo when pushing all data.

Mon Oct 18 22:42:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	* libgalago/galago-photo.h:
	  - Updated the vim syntax highlighting.

Mon Oct 18 09:45:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago.h:
	  - Added galago-photo.h to galago.h.

Mon Oct 18 00:37:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Updated vim syntax highlighting.

Fri Oct 15 10:19:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	  - Remove now unneeded debugging info.

Thu Oct 14 01:30:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Implement username normalization everywhere in libgalago.

Thu Oct 14 01:11:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Make sure to NUL-terminate the buffer.

Thu Oct 14 01:06:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added galago_service_normalize().

Thu Oct 14 00:57:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Forgot a function.

Thu Oct 14 00:53:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Do part of that previous change the correct way.

Thu Oct 14 00:47:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Define some standard normalization flags for standard services. Hope
	    I didn't screw these up.

Thu Oct 14 00:27:57 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* contrib/galago.vim:
	  - Syntax highlight the new service flags in vim.

Wed Oct 13 23:20:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Added service flags, and broke anything not using an updated
	    galago_service_new().

Wed Oct 13 01:18:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-presence.c:
	  - Push and pop the parent's context when creating an account, avatar,
	    or presence. This is part of the fix that should close bug #1346,
	    and some other very bad behavior.

Sat Sep 25 03:08:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	* libgalago/galago-list.h:
	  - Added galago_list_get_data().

Sat Sep 25 03:01:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	* libgalago/galago-list.h:
	  - Added galago_list_get_prev() and galago_list_get_next().

Wed Sep 22 00:59:20 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A contrib/galago.vim:
	  - Added a syntax highlighting file for libgalago for vim.

Wed Sep 22 00:22:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	  - Removed some duplicate #defines. I'm kind of surprised nothing
	    complained.

Tue Sep 21 23:05:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* tests/Makefile.am:
	A tests/get-avatar.c:
	  - Added mostly working avatar support.
	  - Added a get-avatar test tool.

Sun Sep 12 20:18:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/check-libgalago.c:
	  - Added a unit test for galago_hash_table_replace.

Sun Sep 12 16:41:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-log.c:
	  - If the log level is FATAL, go ahead and just exit.

Sun Sep 12 02:54:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Disconnect and then unref the connection. Fixes the unit test
	    and closes bug #1341.

Sat Sep 11 22:21:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/check-libgalago.c:
	  - Set up log handlers for warning, error, fatal, and assert, and
	    fail on them in the unit tests.

Sat Sep 11 22:12:45 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	  - Added user-settable log handlers.

Sat Sep 11 21:25:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	A tests/check-libgalago.c:
	* acinclude.m4:
	* configure.ac:
	  - Added the beginnings of libgalago unit tests using the Check
	    framework (http://check.sf.net/)

Thu Sep 09 19:21:40 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-log.c:
	  - Screwed that up. Our core paths aren't the same as a standard object
	    path, which is why those functions weren't using the new API. So,
	    revert and set the no_reply flag manually.

Thu Sep 09 19:07:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Removed the last direct calls to dbus_message_new_method_call() and
	    replaced them with our wrapper, galago_dbus_message_new_method_call(),
	    which sets the no_reply flag when appropriate. This caused one of the
	    major show stopper bugs preventing a release.

Wed Sep 08 10:27:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-assert.h:
	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	  - Added an assertion log level.

Wed Sep 08 10:00:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Display a space between a person's first and last names.

Wed Sep 08 09:57:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Only call GetProperty if the person is not native.

Wed Sep 08 09:47:30 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Query galago-daemon for the property of a person when it's unknown.

Thu Aug 26 01:32:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Be a little more verbose in our "Unknown property type" error.

Thu Aug 26 01:27:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Removed the PropertyCacheKey implementation and moved all property
	    type and value stuff to GalagoValue, which is already set up to do
	    these things. Whether or not things still work, who knows. More needs
	    to be written in the property implementation anyways.

Wed Aug 25 23:39:57 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Process Person.PropertySet signals.

Wed Aug 25 01:04:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added a convenience function: galago_person_has_accounts().

Wed Aug 25 00:56:54 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Fixed galago_person_get_priority_account() so that in the case
	    of no accounts with presence, the first listed account (if any)
	    is returned.

Wed Aug 25 00:54:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Simplified some of the display name logic.

Wed Aug 25 00:14:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - s/GetPersons/GetPeople/g

Sun Aug 22 16:16:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added a query parameter to galago_core_get_person().

Wed Aug 11 03:26:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Removed the object-specific galago_*_destroy() functions.
	    galago_object_unref() is what should be used.

Sun Aug 08 13:14:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Set the NO_REPLY flag for messages that don't need replies. This
	    seems to prevent LimitsExceeded errors.

Sun Aug 08 03:19:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Handle and display information for LimitsExceeded D-BUS errors.

Sun Aug 08 02:51:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	* tests/monitor.c:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* configure.ac:
	  - Added support for both D-BUS 0.21 and 0.22cvs.

Thu Jul 29 20:33:53 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - If no name information is set for a person, try to return the
	    priority account's display name in galago_person_get_display_name().

Thu Jul 29 14:41:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added a very basic galago_person_get_display_name().

Wed Jul 28 16:59:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Converted the account username to lowercase in
	    galago_service_remove_account(). That's the last one missing, I
	    think.

Fri Jul 23 03:21:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't do more work than we have to in the DisplayNameChanged
	    handler. If we don't know the account, don't try getting the
	    display name from the message iterator.

Fri Jul 23 03:17:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - We have galago_dbus_message_iter_get_string_or_nil(). Let's use it.

Fri Jul 23 03:12:35 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Make person property names case-insensitive.

Fri Jul 23 03:04:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Remove the creation of the destroy signal from GalagoPerson.

Fri Jul 23 03:02:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - More username case-insensitive comparisons for the list of accounts
	    in a person. I really should just abstract this.
	  - Moved GalagoPerson account hashtable initialization code to the
	    constructor.
	  - Fixed the account removal code so that it won't segfault. It was
	    using strings as keys instead of the AccountCacheKey struct.

Fri Jul 23 02:56:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Make account username comparisons case-insensitive during contact
	    comparisons as well.

Fri Jul 23 02:52:35 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Don't attempt to push avatar data for an account twice.

Fri Jul 23 01:34:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-service.c:
	  - Transform account usernames and service IDs to lowercase when being
	    used as keys in a hashtable so that we can make this stuff
	    case-insensitive.

Thu Jul 22 23:00:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-utils.c:
	* libgalago/galago-utils.h:
	  - Added galago_str_upper() and galago_str_lower().

Thu Jul 22 01:48:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/get-presence.c:
	  - Show the display name of an account when using the get-presence tool.

Mon Jul 19 14:40:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago.spec.in:
	  - Added an RPM spec file.

Mon Jul 19 03:21:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* po/POTFILES.in:
	* po/libgalago.pot:
	* po/pt_BR.po:
	* tests/Makefile.am:
	  - libgalago now passes make distcheck.

Sat Jul 17 14:52:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-service.c:
	  - Fixed a bone-headed mistake where the person and service cache keys
	    themselves were being tested for string equality, rather than the
	    IDs inside of them.

Sat Jul 17 03:37:24 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Initialize the account and service's hashtables in the init
	    function, not after creating the object.

Sat Jul 17 03:11:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Don't check if name is NULL or not in galago_service_new(), as it
	    can be NULL in _galago_service_new_common() if the ID is known.

Sat Jul 17 02:32:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* tests/get-presence.c:
	  - Remove the remaining persistent stuff.

Sat Jul 17 01:37:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-object.h:
	  - Tear out the PPO stuff from trunk. Everything PPO-related is now
	    going into the ppo-impl branch.

Tue Jul 13 14:59:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-hashtable.c:
	* libgalago/galago-hashtable.h:
	  - Added galago_hash_table_clear().

Mon Jul 12 23:05:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Initialized the property context in the base object class instead
	    of in each subclass, and standardized the "destroy" signal.

Mon Jul 12 22:43:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-object.h:
	* tests/get-presence.c:
	  - Added basic support for automatically activating/deactivating
	    objects and handling persistent objects.

Mon Jul 12 21:51:53 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.h:
	  - I suck. The object flag macros should actually work now, and the
	    stupid typo is fixed.

Mon Jul 12 19:03:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - When finalizing an object, finalize the parent's data as well, and
	    then that parent's data, etc.

Mon Jul 12 18:44:45 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Fixed the GALAGO_OBJECT_{SET,GET}_FLAGS macros.
	  - Don't check the reference count on an object in galago_object_unref()
	    if we're finalizing the object.

Mon Jul 12 18:30:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	  - Combined the native and foreign service hashtables and the
	    person hashtables. In most cases, we wouldn't need two to exist
	    at once.

Mon Jul 12 18:11:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.h:
	  - Added more convenience macros for working with object flags.

Mon Jul 12 17:24:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	  - Reorganized variables in GalagoContextPrivate.

Mon Jul 12 15:55:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added support for object flags, and the very beginnings of PPOs.

Sun Jul 11 10:55:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* Doxyfile.in:
	  - Turn off include graphs and hide the private files.

Sun Jul 11 10:48:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	  - How did *that* happen? How did it even work?!

Sun Jul 11 10:40:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* Doxyfile.in:
	  - Even more happy! Yay.

Sun Jul 11 10:34:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	* libgalago/galago-log.h:
	* libgalago/galago-signals.h:
	  - Make Doxygen just a little bit more happy.

Sun Jul 11 10:08:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* Doxyfile.in:
	  - Ignore the __attribute__ stuff.

Sun Jul 11 09:48:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	  - Removed the private push_data functions for various objects and
	    implemented them through class functions.

Sun Jul 11 03:07:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Moved to the new galago_dbus_message_new_method_call() convenience
	    function.

Sun Jul 11 02:55:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Added galago_dbus_message_new_method_call(), which simplifies a bit
	    of the redundant work everything needs to do.

Sun Jul 11 02:50:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Use better scores for status type scoring.

Sun Jul 11 02:39:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Clear the main context before destroying the core object, so that
	    we can unregister and destroy objects without problems. In order to
	    do this, we needed a very tiny hack to prevent the core object from
	    being removed from the context that would already be destroyed.

Sun Jul 11 02:18:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Removed the various object-specific
	    galago_dbus_message_iter_{append,get}_*() functions and moved them
	    to generic galgao_dbus_message_iter_{append,get}_object(), and
	    added class functions for the various objects.

Sun Jul 11 00:59:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - galago_dbus_message_iter_append_object() now takes a void *
	    instead of a GalagoObject *, and checks to ensure it is indeed an
	    object.

Sun Jul 11 00:42:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-object.h:
	  - Added dbus_message_append and dbus_message_get class functions,
	    which will soon let me eliminate a whole bunch of stuff I'd rather
	    have abstracted.

Sat Jul 10 20:05:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Removed the file-specific init/uninit functions that were needed
	    before the move to the classes.

Sat Jul 10 19:17:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_get_core().

Sat Jul 10 19:08:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-signals.c:
	* libgalago/galago-signals.h:
	* libgalago/galago-status.c:
	* tests/monitor.c:
	  - Bound the signal contexts to classes, and added
	    galago_signal_connect_class().

Sat Jul 10 18:13:25 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - I swear I meant this. GalagoClass -> GalagoObjectClass.

Sat Jul 10 18:09:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Moved to a new object framework that, unlike the previous
	    implementation, has a concept of classes, much like glib. This will
	    simplify a lot of things, and make some others slightly more wordy.
	    All in all, I plan for it to reduce a lot of the code and API.

Sat Jul 10 14:57:32 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.h:
	  - Changed the magic field to an unsigned long.

Sat Jul 10 02:25:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-signals.c:
	* libgalago/galago-signals.h:
	  - That should have been galago_signals_disconnect_by_id(), not
	    galago_signal_disconnect_by_id().

Sat Jul 10 02:16:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-status.c:
	* tests/monitor.c:
	  - Added galago_*_get_signal_context() to most things.
	  - Removed galago_*_add_watch() functions.
	  - Fixed up the include files a bit.
	  - Fixed up indentation caused by regexps.

Sat Jul 10 02:00:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	R libgalago/galago-props.c:
	R libgalago/galago-props.h:
	* libgalago/galago-service.c:
	A libgalago/galago-signals.c:
	A libgalago/galago-signals.h:
	* libgalago/galago-status.c:
	* libgalago/galago.h:
	  - Moved from the old property watch implementation to a new
	    signals implementation. It's really mostly all the same stuff,
	    to be honest, but don't tell anybody.

Fri Jul 09 01:31:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - #if 0 out the "An account with username ... has been added to
	    person ..." warning, since it's harmless and not useful to see.

Fri Jul 09 01:29:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-context.c:
	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Switch to the new galago_log_*() convenience functions.

Thu Jul 08 18:10:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-log.h:
	  - Enable printf-style warnings for the log functions.

Thu Jul 08 17:56:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	  - Added galago_log_*() convenience wrappers.

Mon Jul 05 12:03:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/property-test.c:
	  - Updated for the property API changes.

Mon Jul 05 11:58:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added support for boolean and uint32 person property values.

Fri Jul 02 22:28:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Prevent assertion warnings that'll happen if galago_uninit() is
	    called before the program closes down normally (which calls
	    galago_uninit() again).

Fri Jul 02 22:19:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't unref the D-BUS connection here.

Thu Jul 01 03:52:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't gobble up the ServiceCreated and ServiceDeleted messages.

Thu Jul 01 03:43:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	  - Reference count the PropWatches so that if we unregister a watch
	    while emitting, we won't segfault. This was responsible for, among
	    other things, the gnome-presence-applet crash that occurred when
	    closing it or when galago-daemon shut down.

Thu Jul 01 02:54:57 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	  - Make sure to call va_end() on our temp va_list. Prevents a memleak.

Sun Jun 27 16:22:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fixed a bug where galago_uninit() wasn't decrementing the core's
	    ref count if galago_init() had been called more than once.

Sat Jun 26 01:11:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Changed how the protocol deals with the values for invalid
	    status attribute types. Instead of passing a NIL, send nothing.
	  - Fixed sending NULL string attributes across D-BUS.

Fri Jun 25 09:02:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-private.h:
	* libgalago/galago-service.c:
	  - Move some stuff into a private header file.

Fri Jun 25 01:36:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.h:
	  - Added a few standard person property IDs.

Thu Jun 24 00:04:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Don't check if *name is '\0' until we make sure it's not NULL
	    in galago_status_new() and galago_service_new().

Sun Jun 20 19:21:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Removed the manual sending of the display name when re-pushing
	    account data after re-registering. It's not needed, since we're
	    pushing it along with all other account info. For some reason,
	    though, the display name isn't always making it to the other side.

Sun Jun 20 19:03:11 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Added a built-in mapping and translation of status IDs to names,
	    much like what we have with services.

Sun Jun 20 18:59:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Replace an internal function that only had one call in it with a
	    simple #define.

Sun Jun 20 18:52:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Added "registered" and "unregistered" core signals, and initialize
	    the prop context before registering.

Thu Jun 17 22:25:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Re-send the display name for an account when the daemon goes back
	    up.

Thu Jun 17 22:20:27 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - If we receive the org.freedesktop.DBus.Error.ServiceDoesNotExist
	    error, attempt to re-activate the daemon. If this fails, just stay
	    unregistered until we get a ServiceCreated again.

Thu Jun 17 16:56:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Handle service ID to name mapping a bit more intelligently. We
	    now translate the name when creating the service. If we know the
	    service ID, internally, then ignore the name the program is passing
	    to us, and use the one from our own table. Under these circumstances,
	    we allow NULL to be passed for the name.

Thu Jun 17 16:40:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	A po/libgalago.pot:
	  - Added the libgalago pot file.

Thu Jun 17 13:23:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	A libgalago/galago-private.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	A po/POTFILES.in:
	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	A setup-gettext:
	  - Added gettext support.
	  - Changed the default service ID and name definitions to be
	    translatable against libgalago's gettext files.

Thu Jun 17 03:00:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.h:
	  - Fix the names for Gadu-Gadu's definitions.

Thu Jun 17 02:57:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.h:
	  - Add some common service IDs and names in the form of #defines.

Thu Jun 17 01:55:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Receiving an Account.SetConnected message after an AddStatus or
	    SetIdle will no longer override the idle time or status we just
	    received. Closes bug #974417.

Thu Jun 17 01:13:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Added galago_status_is_available() and
	    galago_presence_is_available().

Thu Jun 17 00:58:15 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Remove galago_presence_query(). I'm pretty sure about this one!

Thu Jun 17 00:54:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	  - Revert the previous commit. We do have this function. I was looking
	    in the wrong file. *Hangs head in shame*

Thu Jun 17 00:51:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	  - Remove the docs and function definition for
	    galago_presence_is_discarded(), since we haven't had that for a
	    while.

Tue Jun 15 02:29:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Handle D-BUS errors, and ignore the one that we seem to be getting
	    when galago-daemon shuts down sometimes. It's safe enough to ignore.

Tue Jun 15 02:13:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Now that we can, in theory, connect to the daemon later when it's
	    started if it's not running when the application initializes
	    libgalago, let's not making connecting a prerequisite to
	    initializing successfully.

Tue Jun 15 01:53:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_is_registered().
	  - Don't try to unregister if we're not registered.

Mon Jun 14 01:19:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Check in the Presence.StatusAdded message handler that we don't
	    already have a status with the specified ID before adding the
	    new one.

Sun Jun 13 14:49:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Fix some screw-ups in the display name changes.

Sun Jun 13 13:49:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - If the display name we're setting is the same as the current
	    display name, return. If it's the same as the username, unset
	    it.

Sun Jun 13 13:31:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Add the display name to the list of vars sent across D-BUS for
	    an account. This will require a full restart of all galago-related
	    services and applications.

Sun Jun 13 13:24:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Call Account.SetDisplayName when we change the display name
	    locally.

Sun Jun 13 12:51:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - That should have been Account.DisplayNameChanged.

Sun Jun 13 12:48:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Support the Account.SetDisplayName message.

Sun Jun 13 12:43:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added galago_account_set_display_name(),
	    galago_account_get_display_name(), and
	    galago_account_is_display_name_set().

Sat Jun 12 20:25:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Allow applications to once again receive the
	    ServiceCreated/ServiceDeleted messages, so that they can re-register
	    or discard data when the daemon goes up or down.
	  - Properly initialize even if the daemon is down.

Thu Jun 10 20:28:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't check if we're connected in galago_init_with_mainloop() when
	    deciding what the result of the function is.

Wed Jun 09 03:51:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	  - When clearing all objects from a context (such as when being
	    informed that galago-daemon has shut down), make sure to reset the
	    lists to NULL.

Wed Jun 09 03:49:25 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - When something sets an account's connection state to FALSE, when the
	    connection state was never set to TRUE, galago_account_set_connected()
	    simply returned. This left behind no presence information for the
	    account, when it should have had a presence state of "offline." This
	    is now fixed by performing an additional check to make sure we have a
	    presence before bailing.

Tue Jun 08 00:25:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Only process signals from objects we have registered already.
	    Um, this should work like the old system. This all needs to be
	    ripped out and re-thought.

Tue Jun 08 00:16:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	  - Call galago_core_set_watch_all() on connect, and block off
	    individual watches. Nurse? Prep the patient for surgery.

Mon Jun 07 23:25:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Checking if our list of services, accounts, contacts, and people
	    is empty as a determination for re-querying is not sufficient. If
	    the query flag is set, go ahead and just do it.

Mon Jun 07 19:15:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Re-enable re-register with galago when galago-daemon dies, but
	    don't try to send anything unless we're a feed.

Mon Jun 07 01:51:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - If we're galago-daemon, don't try setting a watch on things using
	    D-BUS. We're the king. We own all. Why should we do all the work?

Mon Jun 07 01:43:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't try re-sending information when the galago-daemon reactivates
	    unless we're a feed, and if we're a daemon, ignore both the
	    ServiceCreated and ServiceDeleted signals.

Sun Jun 06 04:00:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added support for determining if the galago daemon is active or
	    not.

Fri Jun 04 18:03:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	  - When re-sending all objects, do it in the right order so we don't
	    screw everything up, mmkay?

Fri Jun 04 12:00:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	  - Re-register when galago-daemon comes back up, and prevent some
	    assertion errors.

Fri Jun 04 11:47:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - When a feed sees that galago-daemon is running again after being
	    shut down, re-send all presence, account, and service info.

Thu Jun 03 03:20:50 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	  - Make sure we push and pop the context when removing the object from
	    the object tree.
	  - Shut down in the correct order so we don't segfault.

Thu Jun 03 03:12:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - Objects were being left in the object tree even after they were
	    destroyed. This was causing crashes when looking up these objects.
	    Fixed.

Thu Jun 03 03:00:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added a destroy signal to GalagoPerson.

Wed Jun 02 23:30:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	  - The order in which we destroy services and people matters quite a
	    bit when. This fixes the bug where apps could crash when
	    galago-daemon shuts down, and also when closing apps. This should
	    also fix the major bug when unloading the gaim-galago plugin.

Wed Jun 02 22:29:25 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-core.c:
	  - Clear all foreign objects when galago-daemon shuts down.

Wed Jun 02 21:58:54 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fix a memory leak in the StatusRemoved message handler.
	    The status ID string wasn't being freed.

Wed Jun 02 21:58:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Listen for org.freedesktop.DBus.ServiceCreated() and
	    ServiceDestroyed() signals, but don't do anything with them yet.

Wed Jun 02 21:51:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Adding a match and removing a match are two different things.

Tue Jun 01 17:03:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - A couple minor Doxygen fixes.

Tue Jun 01 16:38:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.h:
	* libgalago/galago-core.h:
	* libgalago/galago-hashtable.h:
	* libgalago/galago-service.h:
	* libgalago/galago-status.h:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Documentation fixes to make Doxygen happy.

Sat May 29 20:11:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Fixed the function calling Account.GetContact(). It was trying to
	    call Service.GetAccount().

Sat May 29 00:33:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Only allocate the properties table for a person when it's first
	    being used. This should save us some memory.

Thu May 27 18:02:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Don't try to set the new statuses in galago_account_set_connected()
	    if they're already set.

Thu May 27 17:47:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Prevent a crash in the daemon caused by the connected/disconnected
	    flag of an account being set before a presence was sent. This was
	    causing libgalago to make the presence for the account, which
	    didn't have a meta-presence assigned. Now we just emit the
	    SetConnected message after the SetPresence.

Thu May 27 17:42:54 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Don't send a RemoveStatus message to the daemon if the status isn't
	    exclusive. It just makes the daemon angry, and if there's one thing
	    that Lord Of The Rings taught me, it's that you shouldn't make
	    daemon's angry.

Thu May 27 13:49:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Removing and then destroying the status we're currently trying to
	    set is not a good thing.

Thu May 27 13:29:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Set the active_status variable to NULL when setting new statuses or
	    clearing the status list.

Thu May 27 13:16:29 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - This will fix a bug. Call dbus_message_iter_next() before trying
	    to grab the idle time in the IdleUpdated handler.

Thu May 27 13:02:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Append the status ID, and not the status, when sending the
	    RemoveStatus message.

Thu May 27 12:45:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_is_status_exclusive().

Thu May 27 12:34:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* tests/presence-feed-2.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Statuses can now be set to be exclusive. Only one exclusive status
	    can exist in a presence at a time. Updated galago_status_new(),
	    galago_presence_remove_status(), and added a few other useful
	    little functions.

Wed May 26 00:20:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - This is a harmless runtime warning, so let's just #if 0 it out.

Tue May 25 22:39:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Added the "destroy" signal for presences.

Mon May 24 23:16:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Added a tiny hack to prevent infinite loops when destroying a
	    GalagoPresence. The destroy function was calling
	    galago_account_set_presence(), which was calling the destroy
	    function, and so on.

Mon May 24 18:21:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - Create the user_data hashtable when it's used the first time. Many
	    objects will never have user data set, and it's wasting space
	    in those cases.

Mon May 24 16:21:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Process the IdleUpdated signal.

Sun May 23 02:28:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/get-presence.c:
	  - The get-presence tool is now actually useful.

Sun May 23 01:08:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added galago_account_set_person(). This should only be used
	    internally!

Thu May 20 13:56:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Reset the idle time regardless if we're now connected or
	    disconnected.

Thu May 20 13:55:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Set the presence's statuses and idle times when changing the
	    connected value of an account. The status stuff really needs
	    to be simplified a little bit.

Tue May 18 01:47:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Query for a service if that service is not found, not if the
	    entire list is empty. Otherwise, we'll only grab one service,
	    and never see the rest.

Mon May 17 00:42:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Temporary fix to bug #955126. Service.account-added signals are no
	    longer being emitted before the account is added to the person.
	    However, it is not fixed permanently. See the bug for details.

Thu May 13 19:37:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Remove an annoying debug statement.

Thu May 13 00:21:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	  - Added a query parameter to galago_account_get_presence(). This
	    prevents some infinite loops and stuff. Necessary evil, but at
	    least it's consistent!

Thu May 13 00:12:22 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/presence-feed-2.c:
	  - Add a second presence feed, for testing the merging of persons
	    across feeds that share the same account(s).

Tue May 11 10:44:47 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Added the "destroy" signal.

Mon May 10 19:57:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added galago_person_set_me().

Mon May 10 19:36:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - The me variable in GalagoPerson should now be set at the correct
	    time always.

Mon May 10 18:37:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Removed the query parameter from galago_core_get_person(), since
	    IDs are a local thing, not something standard across Galago apps.
	  - galago_core_get_me() now calls Core.GetMe() if a query is
	    needed or requested.

Thu May 06 00:41:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_core_get_people().
	  - Implemented person querying.

Thu May 06 00:32:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added a query flag to galago_core_get_person(), and added
	    galago_core_get_me().

Mon May 03 23:58:19 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added support for querying a single account from a person
	    remotely.

Mon May 03 18:21:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added a service parameter to galago_person_get_account().

Mon May 03 18:19:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Freeze the property contexts in various places where appropriate.

Mon May 03 18:11:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Freeze the core prop context when we're querying for services.

Mon May 03 17:37:01 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-presence.c:
	  - Added some extra precautions so that we don't set an account's
	    avatar or presence to NULL when destroying said avatar or
	    presence unless the account's avatar or presence is the avatar
	    or presence we're destroying.

Mon May 03 17:34:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	  - Added property context freezing support.

Sun May 02 17:47:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Fix a couple more infinite loops I introduced. This should be the
	    last.

Sun May 02 17:40:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Removed the query functions, and instead added an extra parameter
	    to the equivalent get functions. This feels a bit more correct to me,
	    and solves the infinite loop problems I introduced earlier today.

Sun May 02 10:09:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Infinite loops bad.

Sun May 02 09:54:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Changed the way the get_* and query_* functions work. Now, query_*
	    never checks if we have a local copy already. Instead, the get_*
	    functions check if we never received anything from a feed, and if
	    that's the case, we query. This should feel more natural, and work
	    a bit better.

Sun May 02 09:42:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added galago_person_query_accounts().

Sun May 02 09:13:55 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - This should fix the issue where galago-daemon attempted to query
	    an account's presence from itself every time it went to set a
	    presence.

Sun May 02 01:13:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_is_daemon(). I don't like this, but it's really
	    needed for the moment.

Sat May 01 15:47:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Send out Account.SetPresence and Account.SetAvatar messages.
	  - Call Account.GetPresence and Account.GetAvatar messages when
	    we're trying to retrieve the presence or avatar from a non-native
	    account.

Sat May 01 15:07:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Add the presence to the right account.

Sat May 01 15:05:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Register contact-added and contact-removed property notification
	    types.

Sat May 01 14:32:49 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Don't let an account get added to itself as a contact.

Sat May 01 13:58:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Rewrote the sample presence feed. It's now a little more documented,
	    and adds contacts to the accounts.

Sat May 01 12:59:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added support for sending Account.AddContact and
	    Account.RemoveContact messages to galago-daemon.
	  - Added galago_account_get_contact() and
	    galago_account_query_contacts().

Sat May 01 11:46:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added functionality for adding contacts (which are just other
	    user's accounts) to an account.

Fri Apr 30 23:53:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Forgot to append the person to the message iterator when
	    appending an account.

Fri Apr 30 23:45:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Try not to crash so much. Take 3.

Fri Apr 30 23:28:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Let's try that again. Now we destroy the accounts before
	    destroying the hashtable.
	  - Destroy properties when we destroy the hashtable.

Fri Apr 30 23:25:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Handle the creation and destruction of the accounts table and
	    list in GalagoPerson.

Thu Apr 29 18:13:08 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Use GalagoObject's context variables, instead of per-structure
	    variables in GalagoService and GalagoPerson.

Thu Apr 29 18:08:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Re-introduce property notifications for setting presences and
	    avatars.

Thu Apr 29 18:04:02 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Prevent some Potential Bad Things (TM) from happening when
	    we set an already set avatar or presence on an account.

Thu Apr 29 17:57:25 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	  - Like with presences, there is now a one-to-one relationship
	    between accounts and avatars. Persons no longer contain a list
	    of avatars.

Thu Apr 29 02:41:14 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - There is now a one-to-one relationship between accounts and presences.
	  - Removed the query operations and lists for presences in various
	    objects.
	  - Need to re-introduce a method for specifying and requesting which
	    non-local accounts can be seen from local accounts.

Thu Apr 29 02:05:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* tests/presence-feed.c:
	* tests/property-test.c:
	  - Accounts now represent *all* accounts, not the local accounts.
	    Each account now belongs to a person.

Tue Apr 27 16:04:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	  - If glib.h is already included, go ahead and include dbus/dbus-glib.h

Tue Apr 27 10:24:06 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* tests/Makefile.am:
	* tests/property-test.c:
	  - Added support for setting properties on people. Patch by Trent Lloyd,
	    with some modifications/fixes by me.

Fri Apr 23 00:54:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	  - Hopefully compile on MacOS X.

Tue Apr 20 10:29:50 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* acinclude.m4:
	  - Remove the Python checks.

Tue Apr 20 00:21:53 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	  - Handle NULL stuff in the message iter functions a lot better
	    everywhere.

Tue Apr 20 00:12:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Handle NULL services when appending to a message iterator or
	    retrieving from one.

Mon Apr 19 23:19:21 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added galago_service_get_presence() and
	    galago_service_query_presence().

Thu Apr 15 01:59:16 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	  - Process the Connected/Disconnected signals.

Thu Apr 15 01:34:20 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Send the connected state of an account along with the account
	    when appending to a message iterator.

Thu Apr 15 00:08:04 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Last one for now, I swear.

Thu Apr 15 00:04:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - More gone are the scary errors.

Wed Apr 14 19:20:48 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Services and Persons were being created with a default object path,
	    getting a signal emitted, and then having their object path changed
	    when we received a service or person from the daemon. This is now
	    fixed in a slightly less than beautiful way, but not a bad way.
	    It's all going to be handled cleaner soon though.

Sun Apr 11 19:38:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Go back to requiring galago_core_get_obj_path() for the core's
	    remote object path. The core's parent object path is now
	    org.freedesktop.Galago.Core. It's kind of ugly, but the other way
	    royally screwed up watching signals.

Sun Apr 11 18:14:44 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Emit properties for the core in the correct places, so that
	    they'll actually be emitted.

Sun Apr 11 01:29:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fire off {person,service}-{added,removed} property notifications.

Sun Apr 11 01:27:00 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added galago_object_get_context().
	  - Changed the core API to use its object context, rather than its
	    own custom context.

Sun Apr 11 00:53:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Init/uninit the property watch stuff.

Sun Apr 11 00:28:36 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	  - When we watch an object, call galago_object_set_watch() on it.
	    That really needs to be renamed, and we need a kind of reference
	    counting for it.. Oh well. Soon.

Sun Apr 11 00:22:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	* libgalago/galago-service.c:
	  - Hide the GalagoPropWatch API. It's now wrapped by the
	    GalagoPropContext API (which apps using galago will never touch,
	    as it goes through more specific APIs).

Sun Apr 11 00:11:07 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Removed the specific remove_watch functions, and added a
	    galago_props_remove_watch().
	  - add_watch() functions now return a property ID.

Sat Apr 10 23:46:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	* libgalago/galago.h:
	  - Added property IDs to the property watches. This whole thing is
	    going to get a rewrite very soon.

Sat Apr 10 23:08:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added property watch functions so that we can determine when an
	    account or person was added/removed.
	  - Made GalagoCore into a GalagoObject.

Wed Apr 07 23:58:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Try not to crash.

Wed Apr 07 23:51:23 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Remove the DBUS_HANDLER_RESULT_HANDLED return values. I think it'll
	    seriously screw up more than one project using Galago.

Wed Apr 07 23:49:52 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Hopefully fixed the status signals.

Wed Apr 07 23:39:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-object.c:
	  - Added an object tree store, and functions for manipulating it.
	    Whenever a D-BUS object path is set on an object, the appropriate
	    changes are made to the tree. It's needed for some of our signal
	    stuff currently, though it just may clean up some code in the
	    daemon.

Wed Apr 07 23:30:17 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Revert that. Lots of bad things happened.

Wed Apr 07 23:26:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-status.c:
	  - Hopefully implement status signals. Not sure if I like it completely.

Wed Apr 07 23:11:51 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Handle the status signals.

Wed Apr 07 22:29:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Don't try to parse a presence if we get a NULL.

Wed Apr 07 21:14:31 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - Initialize the DBusError, so we don't get lots of complaints and
	    stuff.

Wed Apr 07 21:09:41 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Don't emit status stuff on a presence if the status doesn't yet
	    have a presence assigned.

Wed Apr 07 20:47:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - When we remove a status from a presence, automatically delete it.

Wed Apr 07 18:29:28 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-marshal.c:
	* libgalago/galago-marshal.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Updating status info now emits property update notifications for
	    presences, for some of the functions. It's not perfect, and will
	    likely change.
	  - A status's presence can now be returned.

Wed Apr 07 10:41:38 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added presence property watch support.

Wed Apr 07 02:34:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Don't set the same exact status instance on two different presences.
	    Oops.

Wed Apr 07 02:25:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't spit out a bunch of errors on exit.

Wed Apr 07 02:21:30 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/monitor.c:
	  - Added a neat little tool for monitoring events.

Wed Apr 07 02:17:46 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Fix the property registration to use the correct marshalling and
	    value types.

Wed Apr 07 01:22:34 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Passed parameters through some of the emit functions.

Wed Apr 07 01:09:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-marshal.c:
	* libgalago/galago-marshal.h:
	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	* libgalago/galago-utils.h:
	  - Fix the marshallers to pass a property name and object to the
	    callback function.
	  - Handle variable arguments to the emit function.
	  - Added a GALAGO_VA_COPY macro.
	  - Call the marshaller in the emit function, rather than the callback.

Wed Apr 07 00:24:10 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Added the "updated" property notification.

Tue Apr 06 23:12:56 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	  - Make the property backend structs opaque.

Tue Apr 06 23:08:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-account.c
	* libgalago/galago-marshal.c:
	* libgalago/galago-marshal.h:
	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	* libgalago/galago-service.c:
	  - Property watch callbacks can now take a list of parameters. It's
	    kind of like a full signals implementation, but named differently,
	    and a bit different in how it works. I'm not sure I love it, but I
	    like it better than writing a full-blown signals implementation.
	    So, we're using it for now. Any questions?

Tue Apr 06 21:48:05 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Register service property types and emit them when appropriate.

Tue Apr 06 21:15:43 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Register property types and emit them when appropriate.

Tue Apr 06 20:55:37 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-props.c:
	  - Be a little more picky about which watch callbacks get called.

Tue Apr 06 20:52:26 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Call galago_accounts_init() and galago_accounts_uninit() in the
	    core init/uninit functions.

Tue Apr 06 20:51:12 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Set up the property context stuff for accounts.

Tue Apr 06 20:16:03 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-props.c:
	* libgalago/galago-props.h:
	  - Added an internal implementation for property watches. They're like
	    signals, but far simpler, as we don't really need anything complex
	    here. It could be easily wrapped to do signal stuff in other
	    implementations. It also doesn't need marshallers or data type
	    wrappers or anything. It should work alright.

Tue Apr 06 18:19:13 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.h:
	  - Not sure how this got there... Removed the
	    galago_service_query_accounts() prototype and documentation.

Mon Apr 05 02:38:58 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Added an optional D-BUS interface parameter to galago_object_init().
	  - Don't allow the setting of watches on objects without D-BUS paths
	    or interfaces.

Mon Apr 05 02:34:59 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added galago_object_set_dbus_iface(), galago_object_get_dbus_iface(),
	    galago_object_set_watch(), and galago_object_is_watched().

Mon Apr 05 02:25:09 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fix the error message.

Mon Apr 05 02:19:39 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Signal match rulesets are now added/removed when we set the
	    watch_all property, and we don't define signal matchers at
	    initialization.

Mon Apr 05 02:09:40 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Handle ServiceAdded, ServiceRemoved, AccountAdded, and AccountRemoved,
	    PresenceAdded, and PresenceRemoved signals.

Mon Apr 05 02:02:33 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	  - I'm putting my foot down and making it the user's job to query
	    for all objects first before calling galago_core_set_watch_all(),
	    if they want all objects.

Mon Apr 05 01:57:18 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_core_set_watch_all() and galago_core_get_watch_all().

Mon Apr 05 01:01:42 PDT 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-value.c:
	* libgalago/galago-value.h:
	  - Added a value wrapper thing that I hate that I have to have, but
	    I'm using it for the signals stuff. I should just use GObject. Damn
	    politics.

Sat Apr 03 23:26:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added presence querying through the account API.

Sat Apr 03 20:45:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	  - 0 != -1. Oops.

Sat Apr 03 20:18:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Add a Jabber service and account to the test presence feed.

Sat Apr 03 17:43:54 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Send the person and service's object paths when appending to
	    an iterator, and set them when retrieving from an iterator.

Sat Apr 03 17:32:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Revert the setting of the service and person object paths to
	    the main Core path. This breaks many things.

Sat Apr 03 17:04:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - If a service or a person came from the galago daemon, set the
	    appropriate object path on it.

Sat Apr 03 16:06:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Since we're sending these commands to a service, we don't need
	    to actually pass the service.

Sat Apr 03 15:50:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added galago_service_query_account() and
	    galago_service_query_accounts().

Tue Mar 30 00:20:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Added galago_status_duplicate().

Mon Mar 29 20:41:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.h:
	* libgalago/galago-assert.h:
	* libgalago/galago-avatar.h:
	* libgalago/galago-context.h:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-hashtable.h:
	* libgalago/galago-list.h:
	* libgalago/galago-object.h:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.h:
	* libgalago/galago-status.h:
	* libgalago/galago-utils.h:
	  - Added the extern "C" stuff.

Sun Mar 28 17:39:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-service.c:
	  - Fix some major leakbugs, where basically every data structure
	    was leaked. Oops.

Sun Mar 28 15:58:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	  - Let's actually free list elements when we go to destroy them.

Sun Mar 28 03:04:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-person.c:
	  - Destroy all presences associated with an account if we delete the
	    account. Before, this was only happening if we deleted a person.
	  - Destroy the presence and avatar hashtables after destroying the
	    presences and avatars. This prevents a crash that has kept me awake.

Sun Mar 28 02:47:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	  - In galago_list_foreach, prevent problems if the current node
	    we're on gets deleted from the function being called.

Sat Mar 27 03:07:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Changed the idle data type from dbus_uint32_t to time_t.

Wed Mar 24 22:14:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - galago_presence_compare() was returning inverse values. Oops.

Tue Mar 23 00:47:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	  - Don't prevent NULL from being passed as the value to
	    galago_object_set_data(), as that's supposed to remove the data.

Sun Mar 21 12:34:01 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added galago_object_set_data() and galago_object_get_data().

Sun Mar 21 11:54:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-person.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-presence.c:
	  - Converted the rest of the structs into GalagoObjects.

Sun Mar 21 11:27:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Converted GalagoService into a GalagoObject.

Sun Mar 21 11:24:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Changed the parameter type on galago_object_init() and
	    galago_object_uninit() to void * from GalagoObject *.

Sun Mar 21 11:16:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	  - Added a name paramter to galago_object_init(), and added
	    galago_object_get_name().

Sun Mar 21 10:58:16 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-object.c:
	* libgalago/galago-object.h:
	* libgalago/galago.h:
	  - Added a very basic object framework. So basic, in fact, that I feel
	    bad even calling it an object framework. Really, it's just a way
	    of removing duplicated functions for every Galago struct, and letting
	    me do a primitive form of signals soon.

Sun Mar 21 01:06:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added galago_service_get_context().

Sat Mar 20 22:39:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago.h:
	* tests/presence-feed.c:
	* configure.ac
	  - Add SIGINT support in the library, and remove it from the test feed.
	  - Allow galago to compile on systems it's not already compiled on.
	    Oops.

Sat Mar 20 22:22:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Remove the call to galago_uninit(), and setup a SIGINT handler.

Sat Mar 20 18:41:07 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Include config.h so our atexit check will work.

Sat Mar 20 18:34:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* configure.ac:
	  - Call galago_uninit on exit.

Sat Mar 20 18:26:12 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added galago_person_get_context().

Sat Mar 20 02:33:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fix unregistration again.

Sat Mar 20 02:28:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - We were calling galago_is_connected() in the registration function,
	    and galago_is_connected() checks if a variable is set that the
	    registration function sets. This, of course, was always FALSE. Let's
	    just remove the call.

Sat Mar 20 02:07:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Spit out an error when we can't initialize Galago.

Sat Mar 20 02:05:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Special-case galago_is_connected() to determine if it's the
	    daemon process.

Sat Mar 20 01:58:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't register mainloop ops if we're not connected.

Sat Mar 20 01:54:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Plug a memory leak.
	  - Improve galago_is_connected(). It was indicating we were connected
	    even if we couldn't register.

Sat Mar 20 01:39:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Unverbosinate thyself.

Sat Mar 20 01:37:01 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't yell and scream when trying to remove a filter that wasn't
	    added.

Sat Mar 20 00:51:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Plug a leakbug.

Fri Mar 19 18:13:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Improved the galago_glib_init() again, removing the GNU
	    C-specific ({...}) uglyness.
	  - Added galago_init_with_mainloop().

Fri Mar 19 17:24:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	* tests/presence-feed.c:
	  - Improved galago_glib_init so it would actually return a TRUE or
	    FALSE.

Fri Mar 19 16:03:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_core_get_services().

Fri Mar 19 15:43:38 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_core_query_services().
	  - Added some documentation explaining the functions a bit better.

Fri Mar 19 15:26:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	  - Services and people are now put into a list that can be retrieved
	    with galago_context_get_services() and galago_context_get_people().

Fri Mar 19 14:47:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	  - Added galago_core_query_service().

Fri Mar 19 14:14:22 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added a function for returning the priority presence in a person.

Fri Mar 19 14:06:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - weight -> score.

Thu Mar 18 14:36:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	  - Added presence comparison. It'll likely need tweaking later.

Thu Mar 11 22:25:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Added a set of weights for various status primitives. They're
	    not going to be used for awhile, but I wanted to add it while
	    I thought of it.

Wed Mar 10 00:16:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - We know user is non-NULL, so don't use our wrapper
	    galago_dbus_message_iter_append_string_or_nil() function.

Wed Mar 10 00:06:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Send the QueryPresences message to the right interface.

Wed Mar 10 00:03:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/get-presence.c:
	  - Reverted the removal of galago_presence_query(), because I'm a
	    dork. Also made it compile.

Tue Mar 09 23:47:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/get-presence.c:
	  - Removed galago_presence_query().

Tue Mar 09 23:43:19 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-watch.c: (D)
	* libgalago/galago-watch.h: (D)
	  - Removed GalagoWatch, the last thing to really survive the API
	    rewrite.. obviously, it didn't survive for long.

Tue Mar 09 22:05:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	  - Status attributes are now sent along with the statuses in
	    D-BUS messages.

Tue Mar 09 19:54:27 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Added status attribute support.

Mon Mar 08 23:56:46 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-watch.c:
	* tests/presence-feed.c:
	  - Combined galago_presence_set_idle() and
	    galago_presence_set_idle_time().
	  - Added a SetIdle D-BUS message.

Mon Mar 08 23:42:38 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Improve the order of destruction in the structures, so messages
	    will be sent hopefully correctly without crashes.

Mon Mar 08 22:29:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_clear_statuses().

Mon Mar 08 22:03:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - A nice equals function that works with complicated structs is
	    great, but only if your nice hash function doesn't place things
	    in different buckets.

Mon Mar 08 20:22:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Replaced "A" with "An" where appropriate.

Mon Mar 08 19:19:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-person.c:
	* libgalago/galago-status.c:
	  - Be a little more careful about the strings we accept in our
	    constructor functions. If a string is empty but not NULL, it's
	    no better than NULL.

Mon Mar 08 16:59:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago-watch.c:
	  - Hey, reference counting! Reference THIS!

Sat Mar 06 20:07:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Remove a debug statement.

Sat Mar 06 17:28:01 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_remove_status().

Sat Mar 06 14:20:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	  - Fixed a bit of a major issue where the message iterator was being
	    incremented after retrieving the last piece of data in a Person,
	    thus throwing off everything after it by one.

Sat Mar 06 13:37:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Replaced a lot of calls to
	    galago_dbus_message_iter_append_string_or_nil() with
	    dbus_message_iter_append_string().

Sat Mar 06 13:28:00 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-assert.h:
	  - Somehow, I left off newlines in the assertion output.

Sat Mar 06 13:25:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-watch.c:
	  - Removed all the build_message and from_message utility functions.
	    They're just not needed anymore.

Sat Mar 06 02:44:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	  - Added GalagoPerson.AddPresence and RemovePresence.

Sat Mar 06 02:26:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Only send out an Account.SetConnected message if the account is
	    native.

Fri Mar 05 19:58:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	  - Remove a debug statement that's been bugging me.

Fri Mar 05 19:56:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Look up existing services and persons from the context's cache,
	    not the core's.

Fri Mar 05 18:16:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	  - Objects now get their object paths using the context's prefix.

Fri Mar 05 17:57:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	  - Added object path prefixes for contexts. It doesn't really fit
	    well, but it'll remove a lot of ugly code.

Fri Mar 05 14:22:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	  - Fixed a whole object path nightmare. That's what happens when you
	    wrote code in the wee hours of the morning. Destroy mornings.

Fri Mar 05 13:46:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't exit on a D-BUS disconnect.

Fri Mar 05 13:37:19 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.h:
	  - Added a glib context parameter to galago_glib_init().

Fri Mar 05 12:48:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Each service and person now maintains a link to its context, and
	    temporarily switches to it when removing itself from the cache.

Fri Mar 05 03:28:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-core.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Moved all the service and person cache code into the context.
	  - The core service and person cache API now calls the context
	    equivalents using the core context as the context.
	  - Allowed for important things we'll be doing maybe tomorrow.

Fri Mar 05 02:33:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-context.c: (A)
	* libgalago/galago-context.h: (A)
	* libgalago/galago.h:
	  - Added back a context implementation, but widely different.

Fri Mar 05 01:12:27 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-match.c: (A)
	* libgalago/galago-match.h: (A)
	  - Although not fully implemented, added the beginnings of the
	    GalagoMatch API.

Wed Mar 03 16:56:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Fixed the destination path of the service messages..
	    Service != Core. Oops.

Wed Mar 03 16:54:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Fixed the destination path of the AddService message.

Mon Mar 01 15:37:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Handle disconnecting on error a bit more gracefully.

Mon Mar 01 15:30:46 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	  - Apps using libgalago no longer crash or spit out a bunch of errors
	    and warnings if it can't connect to the Galago service.

Mon Mar 01 03:39:01 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - NewPerson -> AddPerson.

Mon Mar 01 03:18:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Forgot to increment the message iterator.

Mon Mar 01 03:12:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	  - Let the daemon name the object path.

Mon Mar 01 02:59:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-dbus.h:
	  - Added galago_core_get_obj_path().

Sun Feb 29 19:06:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-service.c:
	* tests/presence-feed.c:
	  - Handle not being able to connect to Galago a little more
	    gracefully. A lot of work is needed in this area.

Sun Feb 29 18:33:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - Don't send an unregister message if we're the daemon.

Sun Feb 29 18:18:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	  - We're going to cheat by making the galago connection ID
	    "#galago-daemon#" special, and skipping all the connecting
	    to daemon stuff.

Sun Feb 29 01:26:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Send out D-BUS messages when statuses have been added to a
	    presence.

Sun Feb 29 00:20:55 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Statuses with duplicate IDs are no longer allowed in a presence.
	  - The object path for a status is now set when added to a presence.

Sat Feb 28 20:51:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* tests/presence-feed.c:
	  - Removed the presence attribute on galago_status_new().
	  - Added some D-BUS utility functions for GalagoStatus.
	  - Broke Galago. The next major change will make it partially work
	    again.

Sat Feb 28 16:06:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	* tests/presence-feed.c:
	  - Added mandatory variables to galago_status_new(), and removed
	    the equivalent galago_status_set_*() functions.

Sat Feb 28 15:27:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	  - A D-BUS message is now sent when image data for an avatar is
	    updated.

Sat Feb 28 03:10:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Moved the GalagoAvatar and GalagoPresence D-BUS message
	    parsing/building functions down lower with the rest of the
	    D-BUS utility functions.

Sat Feb 28 02:56:38 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	  - Removed galago_avatar_query().

Sat Feb 28 02:55:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added obj_path stuff to GalagoAvatar and GalagoPresence.

Sat Feb 28 01:21:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-core.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-service.c:
	  - Galago got lots of D-BUS lovin'. Most of the important data
	    structures now trigger D-BUS messages in a nice object hierarchy.

Fri Feb 27 23:27:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Renamed the uid stuff to obj_path. Added functions for
	    retrieving this.
	  - Moved from fixed-size buffers when computing the object path
	    to dynamic buffers.

Fri Feb 27 23:07:07 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/libgalago-account.c:
	* libgalago/libgalago-core.c:
	* libgalago/libgalago-core.h:
	* libgalago/libgalago-service.c:
	  - The Account.SetConnected message is now sent to the correct
	    object path.

Fri Feb 27 22:31:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Nobody saw that.

Fri Feb 27 22:29:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-dbus.h:
	  - Send out a message when an account's connection status changes.

Fri Feb 27 22:16:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	  - Only handle registration/removal of accounts and services if
	    we're feeding such things.

Fri Feb 27 22:13:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-feed.c: (D)
	* libgalago/galago-feed.h: (D)
	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-presence.h:
	* libgalago/galago.h:
	  - Goodbye, GalagoFeed. You were just like a feed to me.

Fri Feb 27 22:02:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Now that we don't make the feeds do any real work at all, aside
	    from creating structures and filling them in, let's update the
	    test feed so that it all the silly stuff like "comparisons" and
	    "logic" are gone.

Fri Feb 27 21:55:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-core.h:
	* libgalago/galago-feed.c:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Connections are now registered and unregistered, and retrieve a
	    unique ID.

Fri Feb 27 21:24:45 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added some initial D-BUS commands for when accounts and services
	    are created/destroyed.

Fri Feb 27 13:50:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-feed.c:
	  - Added galago_account_get_presences() and
	    galago_account_get_avatars().
	  - Implemented the default ops for feeds.

Fri Feb 27 13:37:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-presence.c:
	  - Handle adding and removing avatars and presences to the cache
	    in the accounts when created and destroyed.

Fri Feb 27 13:34:52 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added presence and avatar caches to accounts.

Fri Feb 27 13:16:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	* libgalago/galago-list.h:
	  - Added galago_list_dup().

Fri Feb 27 12:53:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-core.c:
	* libgalago/galago-list.c:
	* libgalago/galago-list.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added API functions for returning lists of the data structures
	    that are kept in the parent data structures.
	  - Hopefully improved/fixed the cache cleanups.

Fri Feb 27 02:30:15 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	  - Added some currently useless default feed ops.

Fri Feb 27 01:56:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-core.c: (A)
	* libgalago/galago-core.h: (A)
	* libgalago/galago-context.c: (D)
	* libgalago/galago-context.h: (D)
	* libgalago/galago-avatar.c:
	* libgalago/galago-feed.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-watch.c:
	* libgalago/galago.h:
	* tests/presence-feed.c:
	  - Removed the concept of the context, since you'll never have more
	    than one. It's now simply the Galago Core, and a handle doesn't
	    need to be passed around to the functions anymore.

Thu Feb 26 21:14:42 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-hashtable.c:
	* libgalago/galago-hashtable.h:
	  - Added galago_hash_table_get_keys() and
	    galago_hash_table_get_values().

Thu Feb 26 20:51:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.h:
	* libgalago/galago-presence.h:
	  - Updated the query documentation a bit.

Thu Feb 26 19:37:23 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-presence.c:
	  - Now that we have the GalagoPerson D-BUS stuff, let's use it
	    in the Avatar and Presence message processing.

Thu Feb 26 19:34:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added D-BUS utility functions for GalagoPerson.

Thu Feb 26 19:19:22 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	  - GalagoAvatar is now closer to GalagoPresence in API.
	  - GalagoAvatars are now cached in GalagoPersons just like
	    GalagoPresences.

Thu Feb 26 12:35:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.h:
	  - Added a galago_glib_init() helper macro.

Thu Feb 26 02:20:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-presence.c:
	  - Fixed some reference counting issues when retrieving some
	    reference counted structs from D-BUS messages.

Thu Feb 26 02:18:01 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Forgot to add accounts to the cache in the service. That's
	    rather important.

Thu Feb 26 02:11:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-person.c:
	* libgalago/galago-service.c:
	  - Use galago_hash_table_foreach_value() when clearing caches
	    instead of galago_hash_table_foreach() with a wrapper function.

Thu Feb 26 02:06:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-hashtable.c:
	* libgalago/galago-hashtable.h:
	  - Added galago_hash_table_foreach_key() and
	    galago_hash_table_foreach_value().

Thu Feb 26 01:58:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-avatar.c:
	* libgalago/galago-context.c:
	* libgalago/galago-feed.c:
	* libgalago/galago-hashtable.c:
	* libgalago/galago-list.c:
	* libgalago/galago-person.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-service.c:
	* libgalago/galago-status.c:
	* libgalago/galago-utils.h:
	* libgalago/galago-watch.c:
	  - Added galago_new().
	  - Used the new galago_new() and galago_new0() functions throughout
	    libgalago.

Thu Feb 26 01:47:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-utils.c: (A)
	* libgalago/galago-utils.h: (A)
	* libgalago/galago.h:
	  - Added a couple useful utility functions to work with memory
	    allocation.

Thu Feb 26 01:40:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.h:
	* libgalago/galago-service.h:
	  - Added some documentation to the cache manipulation functions saying
	    that they really don't need to be called by the user of the API.

Thu Feb 26 01:36:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago-presence.c:
	  - Added a presence cache for GalagoPerson, and made GalagoPresence
	    use it.

Thu Feb 26 00:09:12 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/presence-feed.c:
	  - galago_presence_new() now takes person, user, and account parameters.
	  - Removed galago_presence_set_account().
	  - Added galago_presence_ref() and galago_presence_unref().
	  - Added galago_presence_get_person().
	  - Updated the test feed to at least compile against the API changes.

Wed Feb 25 19:32:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - GalagoPersons now have IDs and native flags, and are managed
	    by the context, like services are.

Wed Feb 25 18:39:45 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added "native" parameters for galago_person_new() and
	    galago_person_me_new().

Wed Feb 25 17:10:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added galago_account_is_native().

Wed Feb 25 13:56:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.h:
	  - Be a little more clear with the documentation on native services.

Wed Feb 25 02:08:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Separated services into native and foreign services.

Tue Feb 24 16:01:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	  - Made galago_context_get_dbus_conn() take a const GalagoContext *.

Tue Feb 24 15:59:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	  - Added galago_person_me_new() and galago_person_is_me().

Tue Feb 24 00:17:34 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-person.c:
	* libgalago/galago-person.h:
	* libgalago/galago.h:
	  - Added a very basic GalagoPerson.

Mon Feb 23 22:50:39 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added galago_account_{set,is}_connected().

Mon Feb 23 22:30:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	  - GalagoAvatar deals with the new structures in dbus messages now.

Mon Feb 23 22:22:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	  - Remove an #if 0 I forgot I left.

Mon Feb 23 20:54:13 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Presences now send and receive account info in presence messages
	    again. Life is good! This is fun!

Mon Feb 23 20:37:26 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added functions for working with services in dbus messages.
	  - Changed the dbus message iterator functions so that you have
	    to manually go to the next iteration after calling one of our
	    functions. This makes it a bit more consistent with the standard
	    dbus message iteration functions.

Mon Feb 23 20:13:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Added functions for working with accounts in dbus messages.

Mon Feb 23 17:45:40 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	  - Accounts are now added to the service's accounts list,
	    and duplicates are prevented.

Mon Feb 23 17:22:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added functions to add, remove, and find accounts in services.

Mon Feb 23 16:01:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	  - Put services in the service cache upon creation, and disallow
	    more than one service with the same ID.

Sun Feb 22 22:28:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	  - Removing a service from the hash table won't destroy it anymore.

Sun Feb 22 22:24:00 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-hashtable.c:
	* libgalago/galago-hashtable.h:
	* libgalago/galago-types.h:
	  - Added galago_hash_table_foreach().
	  - Added galago_hash_table_get_size().

Sun Feb 22 21:58:35 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-hashtable.h:
	* libgalago/galago-list.h:
	* libgalago/galago-types.h:
	  - Moved the function typedefs to galago-types.h.

Sun Feb 22 20:47:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	* libgalago/galago-service.c:
	  - Added a services cache to the context.

Sun Feb 22 02:59:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	  - Added functionality to register caches.

Sun Feb 22 02:01:11 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c:
	* libgalago/galago-context.h:
	  - Moved dbus_conn into GalagoContext's private data.

Sun Feb 22 00:42:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-context.c: (A)
	* libgalago/galago-context.h: (A)
	* libgalago/galago-connection.c: (D)
	* libgalago/galago-connection.h: (D)
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	* libgalago/galago.h:
	* libgalago/Makefile.am:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Moved from a per-connection concept to a global context. Galago
	    must now be initialized before use, just like glib and gtk, and
	    uninitialized after use. However, it removes the need to retrieve
	    the connection to do things, thus simplifying usage and also the
	    backend code. It's a big change, though.

Sat Feb 21 21:51:07 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-hashtable.c:
	* libgalago/galago-hashtable.h:
	* libgalago/galago.h:
	  - Added a hash table implementation. It'll no doubt break.

Sat Feb 21 20:08:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Migrating GalagoAvatar and GalagoWatch to use the new Account and
	    Service structures.

Sat Feb 21 18:31:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Moved D-BUS utility functions into the files for the data structures
	    they work with.

Sat Feb 21 17:46:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	* libgalago/galago-watch.h:
	  - Added more documentation.

Sat Feb 21 17:38:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Slight code cleanups.

Sat Feb 21 17:35:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.c:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Added reference counting to Services.

Sat Feb 21 17:31:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-account.h:
	* libgalago/galago-account.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-watch.c:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Begin the transition to using our new structures instead of strings
	    in the presence. Everything is broken for now.

Sat Feb 21 17:16:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.h:
	* libgalago/galago-status.h:
	  - Added documentation.

Sat Feb 21 03:14:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-account.c:
	* libgalago/galago-account.h:
	* libgalago/galago.h:
	  - Added GalagoAccount.

Sat Feb 21 03:01:25 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	  - Services now have mandatory IDs.

Mon Feb 16 21:07:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Hide the information in more structs. Force the use of our API
	    for information retrieval.

Mon Feb 16 20:43:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-graph.c:
	* libgalago/galago-graph.h:
	* libgalago/galago.h:
	  - Removed the Galago Graph API. It's no longer needed by anything.

Mon Feb 16 13:36:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-service.c:
	* libgalago/galago-service.h:
	* libgalago/galago.h:
	  - Added GalagoService.

Sat Feb 14 15:33:36 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Fix a leakbug when destroying a feed.

Sat Feb 14 14:45:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-connection.c:
	  - Disconnecting from a connection appears to work without crashing
	    now.

Sat Feb 14 14:38:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-connection.c:
	  - Fix some leakbugs, and hopefully disconnect from the session bus
	    a bit better so as to prevent crashes. Too bad it's still causing
	    crashes.

Sat Feb 14 04:24:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-connection.c:
	  - Switch to the session bus.

Sat Feb 14 04:05:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-connection.c:
	* tests/presence-feed.c:
	  - Make an attempt at activating the Galago service when we create
	    a connection.

Sat Feb 14 03:48:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Try not to crash when we're unable to initialize our feed.

Fri Feb 13 22:26:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-connection.c:
	* libgalago/galago-connection.h:
	* tests/presence-feed.c:
	  - Feeds now have names, and are registered upon creation.

Fri Feb 13 22:15:32 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Fix a whole slew of other issues in that function. It removes
	    some duplicated logic and frees up the connection regardless
	    of the status of the reply.

Fri Feb 13 22:10:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Dereference the message before checking if the reply is NULL.
	    This fixes possible memleaks.

Wed Feb 11 18:45:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	* tests/presence-feed.c:
	  - Removed the multiple feed types.
	  - Ops are no longer assigned on a per-function basis. Programs
	    should fill out and assign op structures now.

Wed Feb 11 18:24:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-connection.c:
	* libgalago/galago-dbus.h:
	  - Added an org.freedesktop.Galago.Avatar object.

Wed Feb 11 18:06:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	  - Moved the Galago interface and object path prefixes from
	    com.chipx86 to org.freedesktop.

Sat Jan 31 15:03:47 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.h:
	  - Added a user_data variable to GalagoFeed.

Sat Jan 31 14:00:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Fixed a leakbug.

Sat Jan 31 13:59:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Moved some GalagoWatch data into a private structure.

Sat Jan 31 13:56:16 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	  - Moved some GalagoFeed data into a private structure.

Fri Jan 30 03:32:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-watch.c:
	  - Register the feeds and watches when we create them.

Fri Jan 30 03:26:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/presence-feed.c:
	  - Updated to call galago_feed_start() again.

Fri Jan 30 03:24:27 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-connection.c:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added back the start/stop/is_active functions. Removing them
	    was stupid. I'm tired.

Fri Jan 30 02:51:33 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-watch.c:
	  - Added assertions for the connection param in
	    galago_{feed,watch}_new().

Fri Jan 30 02:40:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-connection.c:
	* libgalago/galago-connection.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	* tests/presence-feed.c:
	  - Added the GalagoConnection API, and made everything go through it.
	  - Removed the galago_{feed,watch}_{start,stop} functions. They're
	    now automatically started and connected to the GalagoConnection.

Wed Jan 28 15:35:37 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Removed more association code.

Wed Jan 28 15:31:24 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assoc-item.c:
	* libgalago/galago-assoc-item.h:
	* libgalago/galago-assoc.c:
	* libgalago/galago-assoc.h:
	* libgalago/galago.h:
	  - Removed the Galago-Association stuff. We're concentrating on
	    presence right now.

Mon Jan 26 00:35:20 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/address-feed.c:
	  - Removed address-feed.

Fri Jan 23 17:08:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added support for receiving avatars through a GalagoWatch.

Fri Jan 23 17:02:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	  - Avatars can now be sent through feeds.

Fri Jan 23 13:39:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-avatar.c:
	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Added D-BUS message iterator functions for the avatars.

Fri Jan 23 13:23:44 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-avatar.c:
	* libgalago/galago-avatar.h:
	  - Added GalagoAvatar.

Wed Jan 21 00:06:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.h:
	  - Added documentation.

Tue Jan 20 23:55:12 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.h:
	  - Added some documentation.

Sun Jan 18 11:24:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	  - Add the filter checks for presence_list_updated.

Sun Jan 18 00:25:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.h:
	  - The presence parameter passed to the presence_updated op is
	    now const.

Sun Jan 18 00:22:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added a presence_list_updated presence op.

Sat Jan 17 21:17:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_is_discarded().

Sat Jan 17 17:51:15 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added galago_watch_force_poll().

Sat Jan 17 17:32:42 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Compile before commit... Compile before commit...

Sat Jan 17 17:16:29 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Disconnect a feed when destroying it if it's still active.

Fri Jan 16 18:50:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	  - Fix string comparisons to be case-insensitive in PresenceChange
	    data comparison.

Fri Jan 16 04:19:59 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.h:
	  - It's temporary, but add a user_data field to GalagoWatch.

Fri Jan 16 04:18:21 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago.h:
	  - Include galago-watch.h in galago.h.

Fri Jan 16 03:00:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_has_status_type().

Fri Jan 16 02:56:58 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_get_status() and
	    galago_presence_has_status().

Fri Jan 16 01:59:09 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added service, account, and user filtering to GalagoWatch.

Fri Jan 16 01:13:46 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-watch.c:
	* libgalago/galago-watch.h:
	  - Added the beginnings of GalagoWatch.

Thu Jan 15 22:49:20 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Make galago-feed.c actually compile and work correctly.

Thu Jan 15 10:12:52 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-presence.c:
	  - Added galago_feed_push_presence() and
	    galago_feed_push_presence_list().

Sat Jan 10 23:45:43 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-list.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/presence-feed.c:
	  - Lists of presences are now transmitted, instead of a single
	    presence, in case a program has multiple presences it finds.
	  - Fixed galago_list_remove_link().

Sat Jan 10 13:35:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	  - Fixed some more errors in parsing presence packets.

Sat Jan 10 13:32:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/get-presence.c:
	  - Fixed the get-presence status program, and added idle info.

Sat Jan 10 13:01:02 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/get-presence.c:
	  - Made the get-presence test program a lot better.

Sat Jan 10 12:54:17 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* tests/get-presence.c:
	  - Added galago_presence_query(), which can hide all the nasty
	    D-BUS stuff and leave good presence querying goodness.

Sat Jan 10 12:39:42 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	  - Added galago_dbus_message_iter_append_string_or_nil() and
	    galago_dbus_message_iter_get_string_or_nil(). Nice and long
	    names, huh?

Sat Jan 10 12:24:08 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Attempt at fixing parsing of presence packets with NILs in them,
	    but it's not working right just yet.

Sat Jan 10 01:44:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* test/get-presence.c:
	  - Removed the glib and mainloop code.

Fri Jan 09 23:46:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Fixed some bugs involved in presence message parsing, due to
	    a misunderstanding on my part.
	  - The test program now receives and displays basic presence info.

Fri Jan 09 21:34:48 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-presence.c:
	  - Added galago_dbus_message_iter_get_presence().

Fri Jan 09 19:19:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-dbus.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-presence.c:
	  - Added galago_dbus_message_iter_append_presence().

Fri Jan 09 16:18:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-assoc.c:
	* libgalago/galago-dbus.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-presence.c:
	* tests/get-presence.c:
	  - Renamed GALAGO_DBUS_PRESENCE_SERVICE and GALAGO_DBUS_ASSOC_SERVICE
	    to GALAGO_DBUS_PRESENCE_INTERFACE and GALAGO_DBUS_ASSOC_INTERFACE.

Fri Jan 09 16:11:13 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/get-presence.c:
	* tests/presence-feed.c:
	  - Added the beginnings of the get-presence and presence-feed test
	    programs.

Fri Jan 09 16:10:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	  - Renamed SetPresence and GetPresence commands to PushPresence
	    and PollPresence in GalagoFeed.

Fri Jan 09 13:07:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago.pc.in:
	  - Forgot to put in -lgalago.

Fri Jan 09 12:07:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	  - Renamed the get_status op function in GalagoFeed to get_presence.

Fri Jan 09 01:12:03 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added galago_presence_new_from_message() and
	    galago_presence_build_message().

Fri Jan 09 00:44:14 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago.h:
	  - Fixed up galago.h so the right includes are in there.

Fri Jan 09 00:37:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	* libgalago/galago-status.c:
	* libgalago/galago-status.h:
	  - Moved the GalagoStatus code to its own file.

Fri Jan 09 00:31:28 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-presence.c:
	  - Added a sanity check to galago_presence_set_statuses, just in case
	    someone tries to set the list to what's already in there.

Fri Jan 09 00:16:10 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assoc-item.c:
	* libgalago/galago-assoc-item.h:
	* libgalago/galago-assoc.c:
	* libgalago/galago-assoc.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-item.c:
	* libgalago/galago-item.h:
	* libgalago/galago-packet.c:
	* libgalago/galago-packet.h:
	  - Renamed GalagoPacket to GalagoAssociation and GalagoItem to
	    GalagoAssocItem. GalagoPacket might come back at some point,
	    but it was too association-specific.

Thu Jan 08 23:52:20 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-packet.h:
	* libgalago/galago-presence.c:
	* libgalago/galago-presence.h:
	  - Added the base for GalagoPresence and GalagoStatus.

Thu Jan 08 23:46:31 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-list.c:
	* libgalago/galago-list.h:
	  - Added galago_list_get_count().

Wed Jan 07 13:47:18 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-packet.c:
	* libgalago/galago-packet.h:
	  - Added preserve and type fields to GalagoPacket.

Wed Jan 07 00:42:53 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-item.c:
	* libgalago/galago-item.h:
	  - Added GalagoItemOps.

Tue Jan 06 23:21:16 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-item.c:
	* libgalago/galago-item.h:
	  - Added a GalagoItem API.

Tue Jan 06 22:45:38 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/address-feed.c:
	  - Added some code for address-feed to make it run. It doesn't do
	    anything useful yet, though.

Tue Jan 06 22:36:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* tests/Makefile.am:
	* configure.ac:
	* libgalago.pc.in:
	  - Depend upon glib now, and group all required flags under
	    PACKAGE_CFLAGS and PACKAGE_LIBS.

Tue Jan 06 22:14:51 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* tests/.cvsignore:
	* tests/Makefile.am:
	* tests/address-feed.c:
	* Makefile.am:
	* configure.ac:
	  - Added a test directory and the template for a test file.

Tue Jan 06 22:03:20 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago.h:
	  - Added a base galago include file.

Tue Jan 06 17:11:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-feed.c:
	* libgalago/galago-packet.c:
	* libgalago/galago-packet.h:
	  - Added galago_packet_build_message().

Tue Jan 06 03:45:56 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-item.h:
	* libgalago/galago-packet.c:
	* libgalago/galago-packet.h:
	  - Filled out the GalagoPacket structure and API.

Tue Jan 06 02:56:49 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assoc.h:
	* libgalago/galago-item.h:
	  - Renamed GalagoAssocItem to GalagoItem.

Tue Jan 06 02:52:57 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-dataset.c:
	* libgalago/galago-dataset.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	* libgalago/galago-packet.c:
	* libgalago/galago-packet.h:
	  - Renamed GalagoDataSet to GalagoPacket.

Tue Jan 06 02:38:54 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assert.h:
	* libgalago/galago-dataset.c:
	* libgalago/galago-dataset.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-feed.c:
	* libgalago/galago-feed.h:
	  - Added GalagoFeed and GalagoDataSet.
	  - Hooked up some D-BUS goodness.

Tue Jan 06 01:07:52 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assoc-item.h:
	* libgalago/galago-assoc.h:
	* libgalago/galago-connection.h:
	* libgalago/galago-feed.h:
	  - Added some very bare-bones Galago-Association stuff.

Mon Jan 05 23:55:04 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	  - Change galago-log.[ch] to use galago_bool.

Mon Jan 05 23:53:06 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assert.h:
	* libgalago/galago-dbus.h:
	* libgalago/galago-graph.h:
	* libgalago/galago-log.h:
	* libgalago/galago-types.h:
	* configure.ac:
	  - Added galago-types.h and typedef'd our own bool type for use.
	    I want to hide as much D-BUS stuff outside of galago-dbus.[ch]
	    as I can.

Mon Jan 05 23:43:30 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assert.h:
	* libgalago/galago-log.c:
	* libgalago/galago-log.h:
	  - Added the galago_log API.

Mon Jan 05 23:35:50 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* libgalago/Makefile.am:
	* libgalago/galago-assert.h:
	* libgalago/galago-graph.c:
	  - Added assertion functions, which won't work until my log API is in.

Mon Jan 05 22:33:05 PST 2004  Christian Hammond <chipx86@gnupdate.org>

	* autogen.sh:
	* configure.ac:
	  - Remove libltdl building from autogen.sh.
	  - Require libdbus 0.20+.
